/*********************************************************************************
Script name	: StarterKit.Dictionary.sql
Description	: System option
*********************************************************************************/
PRINT 'Loading dictionary and system option'
GO

SET NOCOUNT ON
GO


PRINT 'Creating administrator account'
GO

IF NOT EXISTS (SELECT * FROM dbo.[UserInfo] WHERE UserInfoId = N'744DE75E-6AC1-4051-B0D2-BE335F9AAA55')
BEGIN
	INSERT [UserInfo]
	(
		[UserInfoId], [UserName], [Password], [FirstName], [LastName], [Role], [IsActive], [Commission], [BudgetVolume], [BudgetMonth], [Culture]
	)
	VALUES 
	(
		N'744DE75E-6AC1-4051-B0D2-BE335F9AAA55', N'admin', 0x61646D696E, N'Main', N'Administrator', 0, 1, 0, 0, 0, 'en-US'
	)
END
GO

PRINT 'Deleting system options'
DELETE FROM SystemOption
GO


/************************************************
	SystemOption
************************************************/

PRINT 'Creating system options'
GO

INSERT INTO SystemOption(OptionName, OptionValue) VALUES('database_version','$Version')
GO


PRINT 'Clean Lookups'
GO

DELETE Slave FROM dbo.[LookupValue] Slave
JOIN dbo.[LookupCode] Parent ON Slave.LookupCodeId = Parent.CodeId
JOIN dbo.[Lookup] Main ON Parent.LookupID = Main.LookupID
WHERE Main.IsEditable = 0
GO

DELETE Slave FROM dbo.[LookupCode] Slave
JOIN dbo.[Lookup] Main ON Slave.LookupID = Main.LookupID
WHERE Main.IsEditable = 0
GO

DELETE FROM dbo.[Lookup]
GO

PRINT 'Full Lookups'
GO

INSERT INTO [Lookup](LookupID, LookupName, IsEditable)
SELECT 0,'Market Group', 1 UNION ALL
SELECT 1,'Market Type', 1 UNION ALL
SELECT 2,'Trade Period', 1 UNION ALL
SELECT 3,'Client Type', 1 UNION ALL
SELECT 4,'Delivery Method', 1 UNION ALL
SELECT 5,'Delivery Location', 1 UNION ALL
SELECT 7,'Inspection Split', 1  UNION ALL
SELECT 8,'Demurrage', 1  UNION ALL
SELECT 9,'Incoterms', 1 UNION ALL       
SELECT 10,'Country', 1 UNION ALL
SELECT 12,'Arbitration', 1 UNION ALL
SELECT 13,'Clearing', 1 UNION ALL
SELECT 14,'Currency', 1 UNION ALL
SELECT 15,'Law', 1 UNION ALL
SELECT 16,'Terms & Conditions', 1 UNION ALL
SELECT 17,'Market', 1 UNION ALL
SELECT 18,'Unit Measure', 1 UNION ALL
SELECT 19,'Delivery Mode', 1 UNION ALL
SELECT 20,'Tax', 1
GO     

PRINT 'Market Group'
GO

INSERT INTO [LookupCode]([CodeId], [LookupId])
SELECT N'75A66637-D688-4F2F-8C1A-E41B96B56CB5', 0 UNION ALL                                 
SELECT N'EF4872C0-1A50-4214-9269-A2F541BD7224', 0 UNION ALL                                  
SELECT N'B3D8A9AA-9507-436E-8259-A1C9526BE200', 0 UNION ALL                                  
SELECT N'BAB50E44-40CB-4312-956D-8F308CE969AA', 0 UNION ALL                                   
SELECT N'50ECF1D6-B0A7-48CC-A5E3-6AB79A1BB96F', 0 UNION ALL                                 
SELECT N'3E32F8D5-9695-49CE-A0A1-D8BBC37F86D0', 0
GO                                

INSERT INTO [LookupValue]([LookupValueId], [LookupCodeId], [CodeValue], [CodeName], [Culture])
SELECT N'0595D45C-BC11-47D9-9FC3-9A77A43C2E1D', N'75A66637-D688-4F2F-8C1A-E41B96B56CB5', N'', N'Medium', N'en-US' UNION ALL
SELECT N'6BDFC464-388C-489F-9EE8-E2BCAF18D23C', N'EF4872C0-1A50-4214-9269-A2F541BD7224', N'', N'Heavy', N'en-US' UNION ALL                                  
SELECT N'1AEE0DB7-6F69-495C-BA93-0776CF31EEA5', N'B3D8A9AA-9507-436E-8259-A1C9526BE200', N'', N'Light', N'en-US' UNION ALL                                  
SELECT N'1DDEEC24-635B-4B4B-BBF7-6ACB7CBB685A', N'BAB50E44-40CB-4312-956D-8F308CE969AA', N'', N'Acid', N'en-US' UNION ALL                                   
SELECT N'B3C8C026-5B47-4954-BB57-86947CB47D3E', N'50ECF1D6-B0A7-48CC-A5E3-6AB79A1BB96F', N'', N'Naphta', N'en-US' UNION ALL                                 
SELECT N'1522715E-9B8D-4B82-98DE-A18C259200EE', N'3E32F8D5-9695-49CE-A0A1-D8BBC37F86D0', N'', N'Diesel', N'en-US'
GO                                                                         
                                                                                                           
PRINT 'Market Type'                                                                                        
GO                                                                                                         
                                                                                                           
INSERT INTO [LookupCode]([CodeId], [LookupId])                                    
SELECT N'4342029D-EFEC-4881-844F-25E00078F121', 1 UNION ALL                               
SELECT N'A27B6818-0DAC-4AA8-AE1C-940B9501BB67', 1 UNION ALL
SELECT N'32FBC57C-546C-4443-93B7-32269629E689', 1 UNION ALL
SELECT N'7FA3AD72-17CE-41BD-972D-7E22B328E4E9', 1 UNION ALL
SELECT N'2E29D33E-A290-4AE6-81B2-28DB31B20260', 1 UNION ALL
SELECT N'223F5B2B-E9C4-4502-B2B6-5A3832F0DFF6', 1 UNION ALL
SELECT N'BAA87603-0F8B-48AF-92FF-1BA678F9B1C1', 1 UNION ALL
SELECT N'B338523D-45AA-45F4-AE7D-FCBB1AF9B42B', 1 UNION ALL
SELECT N'A41395FB-8D69-447C-8833-EB5DAA78A405', 1 UNION ALL
SELECT N'9E5E2C9E-6487-4D08-A3D1-991BD5DAA3E3', 1 UNION ALL
SELECT N'DED37583-24C4-4113-BF91-DB6484E27B1B', 1 UNION ALL
SELECT N'85E90FA5-D050-4FFC-B10A-136BA664C03D', 1 UNION ALL
SELECT N'35B1E6CE-BEC0-4F1B-B14F-B18C27BF67DA', 1 UNION ALL
SELECT N'8A5BB2CB-A77C-4863-A785-BAC65FFB8286', 1 UNION ALL
SELECT N'BC3AC612-D091-4FA3-BEB8-6DB71FB75D09', 1 UNION ALL
SELECT N'54303E9D-9CE8-465D-80B9-986FC31A228A', 1 UNION ALL
SELECT N'93A4C962-D166-481A-BF59-192CDA82CE40', 1 UNION ALL
SELECT N'99982F31-C49B-4596-92E3-B9F960F6D1C0', 1 UNION ALL
SELECT N'48272D0A-1B54-4A80-B03D-D921648CE400', 1 UNION ALL
SELECT N'457126D5-03EB-49E8-83F8-73D6BA482CF7', 1 UNION ALL
SELECT N'9A473DCA-A25A-4C5B-A65B-CBEC0E916BEC', 1 UNION ALL
SELECT N'9AE4ACFC-A43D-44A9-84A9-1AF63A166995', 1 UNION ALL
SELECT N'20A3805C-5326-4DCD-835E-E2EBE7526896', 1 UNION ALL
SELECT N'8E0AB1C6-78D2-4E36-B5DA-74608854C136', 1 UNION ALL
SELECT N'5A051A1E-CD4B-49FC-8CB7-64C6046A229D', 1 UNION ALL
SELECT N'6C995D26-B045-4811-BB1A-551F25E78C3F', 1 UNION ALL
SELECT N'0281B462-D57F-4E22-B921-C25720FBC3BC', 1 UNION ALL
SELECT N'7A83F8C4-9EC9-4FC6-841B-97E8D4729DF3', 1 UNION ALL
SELECT N'8D929057-8547-4CFA-BDD9-0D35C4B60BA5', 1 UNION ALL
SELECT N'F8CAD784-5DE7-4A02-99B0-CFF016FE31DE', 1 UNION ALL
SELECT N'A49523F1-A2F6-4705-B0F2-72B0DDBF9284', 1 UNION ALL
SELECT N'98F58E21-8DAB-42F9-A08D-D8A790897A77', 1 UNION ALL
SELECT N'7A0AB73B-1FE9-4EFC-BA8B-57A04712B1C1', 1 UNION ALL
SELECT N'884B2903-34B8-4A89-924B-5BB6C35DAF80', 1 UNION ALL
SELECT N'9FC170C3-7250-4CBA-BD4B-3D3D5CFC40CF', 1 UNION ALL
SELECT N'1DF199E1-E6A8-465F-96B2-2631235A2048', 1 UNION ALL
SELECT N'940FD2AC-2EB0-4104-A987-76246BFF5307', 1 UNION ALL
SELECT N'C306A324-08EB-4F0C-A144-39F1BA67682A', 1 UNION ALL
SELECT N'FD18FEA3-313A-4A8F-A549-306A28865611', 1 UNION ALL
SELECT N'57214545-A454-4A99-88A2-C518F5DCB367', 1 UNION ALL
SELECT N'E495B0E9-C78D-466B-9AC4-A70B68DF163E', 1 UNION ALL
SELECT N'3B182598-3D30-479D-B10F-91A733C918A9', 1 UNION ALL
SELECT N'6B01920E-9294-4709-8A45-83651FE87C72', 1 UNION ALL
SELECT N'D255B056-CA51-4650-A007-00B300CBF3BE', 1
GO




INSERT INTO [LookupValue]([LookupValueId], [LookupCodeId], [CodeValue], [CodeName], [Culture])
SELECT N'4342029D-EFEC-4881-844F-25E00078F121', N'4342029D-EFEC-4881-844F-25E00078F121', N'', N'Vasconi', N'en-US' UNION ALL
SELECT N'A27B6818-0DAC-4AA8-AE1C-940B9501BB67', N'A27B6818-0DAC-4AA8-AE1C-940B9501BB67', N'', N'Rubiales 12', N'en-US' UNION ALL
SELECT N'32FBC57C-546C-4443-93B7-32269629E689', N'32FBC57C-546C-4443-93B7-32269629E689', N'', N'Rubiales 19', N'en-US' UNION ALL
SELECT N'7FA3AD72-17CE-41BD-972D-7E22B328E4E9', N'7FA3AD72-17CE-41BD-972D-7E22B328E4E9', N'', N'Cusiana Light', N'en-US' UNION ALL
SELECT N'2E29D33E-A290-4AE6-81B2-28DB31B20260', N'2E29D33E-A290-4AE6-81B2-28DB31B20260', N'', N'Cano Limon', N'en-US' UNION ALL
SELECT N'223F5B2B-E9C4-4502-B2B6-5A3832F0DFF6', N'223F5B2B-E9C4-4502-B2B6-5A3832F0DFF6', N'', N'Castilla', N'en-US' UNION ALL
SELECT N'BAA87603-0F8B-48AF-92FF-1BA678F9B1C1', N'BAA87603-0F8B-48AF-92FF-1BA678F9B1C1', N'', N'Llanos Light', N'en-US' UNION ALL
SELECT N'B338523D-45AA-45F4-AE7D-FCBB1AF9B42B', N'B338523D-45AA-45F4-AE7D-FCBB1AF9B42B', N'', N'High Acid', N'en-US' UNION ALL
SELECT N'A41395FB-8D69-447C-8833-EB5DAA78A405', N'A41395FB-8D69-447C-8833-EB5DAA78A405', N'', N'Naptha 55+API', N'en-US' UNION ALL
SELECT N'9E5E2C9E-6487-4D08-A3D1-991BD5DAA3E3', N'9E5E2C9E-6487-4D08-A3D1-991BD5DAA3E3', N'', N'Naptha 75+API', N'en-US' UNION ALL
SELECT N'DED37583-24C4-4113-BF91-DB6484E27B1B', N'DED37583-24C4-4113-BF91-DB6484E27B1B', N'', N'HS Diesel', N'en-US' UNION ALL
SELECT N'85E90FA5-D050-4FFC-B10A-136BA664C03D', N'85E90FA5-D050-4FFC-B10A-136BA664C03D', N'', N'LS Diesel', N'en-US' UNION ALL
SELECT N'35B1E6CE-BEC0-4F1B-B14F-B18C27BF67DA', N'35B1E6CE-BEC0-4F1B-B14F-B18C27BF67DA', N'', N'ULSD', N'en-US' UNION ALL
SELECT N'2B9523BA-30BD-4319-B703-00F406E3B180', N'8A5BB2CB-A77C-4863-A785-BAC65FFB8286', N'', N'Rancho Hermoso', N'en-US' UNION ALL
SELECT N'FA595E1F-61A3-4DA0-AF2B-2267BAA5D06F', N'BC3AC612-D091-4FA3-BEB8-6DB71FB75D09', N'', N'Coati', N'en-US' UNION ALL
SELECT N'D4FB125A-DC34-44D6-916B-CDED0846AF3E', N'54303E9D-9CE8-465D-80B9-986FC31A228A', N'', N'Cupiagua', N'en-US' UNION ALL
SELECT N'9CCEA9A6-7388-4AA8-B023-E94F15CBD263', N'93A4C962-D166-481A-BF59-192CDA82CE40', N'', N'Andaquies', N'en-US' UNION ALL
SELECT N'36FA7C77-91AC-49CF-9AE7-039A1A68E8B6', N'99982F31-C49B-4596-92E3-B9F960F6D1C0', N'', N'Moriche', N'en-US' UNION ALL
SELECT N'E4E82559-E084-47C2-B20D-2FE5DA3D357B', N'48272D0A-1B54-4A80-B03D-D921648CE400', N'', N'Corcel', N'en-US' UNION ALL
SELECT N'74E200E3-714F-4141-BF8D-423CCE3C3A6A', N'457126D5-03EB-49E8-83F8-73D6BA482CF7', N'', N'Guatiquia', N'en-US' UNION ALL
SELECT N'C72BA273-4FD6-4914-AD57-FC0DF9C8F93A', N'9A473DCA-A25A-4C5B-A65B-CBEC0E916BEC', N'', N'Los Ocarros', N'en-US' UNION ALL
SELECT N'8F8F7D1D-D533-4521-9813-80CDA011DE4E', N'9AE4ACFC-A43D-44A9-84A9-1AF63A166995', N'', N'Llanos 23', N'en-US' UNION ALL
SELECT N'F1D4CBCB-8D5F-4B8A-BBCD-0B729E30D551', N'20A3805C-5326-4DCD-835E-E2EBE7526896', N'', N'Florena', N'en-US' UNION ALL
SELECT N'E0C80F0C-D028-410A-9C83-F7C2FD5693B2', N'8E0AB1C6-78D2-4E36-B5DA-74608854C136', N'', N'Cachicamo', N'en-US' UNION ALL
SELECT N'B5F1AD9B-1AAF-4F83-A501-1AFCEF055A32', N'5A051A1E-CD4B-49FC-8CB7-64C6046A229D', N'', N'Puli', N'en-US' UNION ALL
SELECT N'58B937FB-BB9B-49EC-B04C-967C2E5AB92C', N'6C995D26-B045-4811-BB1A-551F25E78C3F', N'', N'Guando', N'en-US' UNION ALL
SELECT N'9A966237-2664-44EE-9E62-9A94605F0157', N'0281B462-D57F-4E22-B921-C25720FBC3BC', N'', N'Mapache', N'en-US' UNION ALL
SELECT N'7EE97908-CBD2-418E-86E1-1EB693B74E47', N'7A83F8C4-9EC9-4FC6-841B-97E8D4729DF3', N'', N'Castor', N'en-US' UNION ALL
SELECT N'C2AF8463-0887-4F8B-A154-2E5200498978', N'8D929057-8547-4CFA-BDD9-0D35C4B60BA5', N'', N'Llanos 16', N'en-US' UNION ALL
SELECT N'E4A4158F-DF53-4EF9-B4CE-3A042324E004', N'F8CAD784-5DE7-4A02-99B0-CFF016FE31DE', N'', N'Llanos 20', N'en-US' UNION ALL
SELECT N'6753EDD2-2396-43B8-BFC9-3711641B27DD', N'A49523F1-A2F6-4705-B0F2-72B0DDBF9284', N'', N'Casanare', N'en-US' UNION ALL
SELECT N'8DB27519-A5DD-4BA0-A949-8FEA76E6719A', N'98F58E21-8DAB-42F9-A08D-D8A790897A77', N'', N'Morichitio', N'en-US' UNION ALL
SELECT N'845E0842-6707-4E1C-9B49-A3A807E8C8C2', N'7A0AB73B-1FE9-4EFC-BA8B-57A04712B1C1', N'', N'Ombu', N'en-US' UNION ALL
SELECT N'206A0413-48E9-4842-AA6D-4E9FE2E651F8', N'884B2903-34B8-4A89-924B-5BB6C35DAF80', N'', N'Portofino', N'en-US' UNION ALL
SELECT N'BE9C8244-880A-46FE-A679-25619171C04C', N'9FC170C3-7250-4CBA-BD4B-3D3D5CFC40CF', N'', N'Quifa', N'en-US' UNION ALL
SELECT N'E2BDCCD6-8ED5-475A-8166-31887347BF1F', N'1DF199E1-E6A8-465F-96B2-2631235A2048', N'', N'Abanico', N'en-US' UNION ALL
SELECT N'8E769004-DEB1-4E0C-806F-4D15358E3231', N'940FD2AC-2EB0-4104-A987-76246BFF5307', N'', N'Guaduas', N'en-US' UNION ALL
SELECT N'128FBAA9-63B3-49A0-BC44-18570E02F24F', N'C306A324-08EB-4F0C-A144-39F1BA67682A', N'', N'Chiguiro Oeste', N'en-US' UNION ALL
SELECT N'784BE847-AEA2-43E8-B0A5-F56930A073EC', N'FD18FEA3-313A-4A8F-A549-306A28865611', N'', N'Rio Ariari', N'en-US' UNION ALL
SELECT N'CF5DE1C1-92D1-4E53-8902-BDBAFE095B88', N'57214545-A454-4A99-88A2-C518F5DCB367', N'', N'Guala', N'en-US' UNION ALL
SELECT N'3C916110-18EF-47F1-ABF6-703F6B8AE018', N'E495B0E9-C78D-466B-9AC4-A70B68DF163E', N'', N'Magdelena', N'en-US' UNION ALL
SELECT N'E1437BD8-3BDB-4E52-96FF-EC00551161BA', N'3B182598-3D30-479D-B10F-91A733C918A9', N'', N'Sangretoro', N'en-US' UNION ALL
SELECT N'0A82FD22-F141-48C8-879E-D2F36B8A0E28', N'6B01920E-9294-4709-8A45-83651FE87C72', N'', N'Cedrelo', N'en-US' UNION ALL
SELECT N'67F470BB-D958-4498-BBBD-19FA1E3A53C2', N'D255B056-CA51-4650-A007-00B300CBF3BE', N'', N'Tamarin', N'en-US'

PRINT 'Market'                                                                                        
GO                                                                                                         

INSERT INTO [LookupCode]([CodeId], [LookupId])
SELECT N'A34138FA-B33B-4E11-820D-73BEBE8A757D', 17 UNION ALL                                 
SELECT N'DEF49A8F-7EC4-4F8F-B82E-C9BF51090025', 17 UNION ALL                                  
SELECT N'E5A63F45-D89F-434B-9FE2-1BE66D327E41', 17 
GO                                

INSERT INTO [LookupValue]([LookupValueId], [LookupCodeId], [CodeValue], [CodeName], [Culture])
SELECT N'569F606C-FCC7-496F-92D0-8F463DA975B0', N'A34138FA-B33B-4E11-820D-73BEBE8A757D', N'', N'Crude Oil', N'en-US' UNION ALL
SELECT N'1D8E2347-58A0-4224-B81C-8A7B3E4C754F', N'DEF49A8F-7EC4-4F8F-B82E-C9BF51090025', N'', N'C5+', N'en-US' UNION ALL
SELECT N'EFE9224E-1795-4654-80AA-100D717EEACC', N'E5A63F45-D89F-434B-9FE2-1BE66D327E41', N'', N'Distillate', N'en-US'
GO                                                                         

INSERT INTO [dbo].[MarketEntityLink]([MarketTypeId],[MarketGroupId],[MarketId])
SELECT N'4342029D-EFEC-4881-844F-25E00078F121',N'75A66637-D688-4F2F-8C1A-E41B96B56CB5',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'A27B6818-0DAC-4AA8-AE1C-940B9501BB67',N'EF4872C0-1A50-4214-9269-A2F541BD7224',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'32FBC57C-546C-4443-93B7-32269629E689',N'EF4872C0-1A50-4214-9269-A2F541BD7224',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'7FA3AD72-17CE-41BD-972D-7E22B328E4E9',N'B3D8A9AA-9507-436E-8259-A1C9526BE200',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'2E29D33E-A290-4AE6-81B2-28DB31B20260',N'B3D8A9AA-9507-436E-8259-A1C9526BE200',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'223F5B2B-E9C4-4502-B2B6-5A3832F0DFF6',N'EF4872C0-1A50-4214-9269-A2F541BD7224',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'BAA87603-0F8B-48AF-92FF-1BA678F9B1C1',N'B3D8A9AA-9507-436E-8259-A1C9526BE200',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'B338523D-45AA-45F4-AE7D-FCBB1AF9B42B',N'BAB50E44-40CB-4312-956D-8F308CE969AA',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'8A5BB2CB-A77C-4863-A785-BAC65FFB8286',N'B3D8A9AA-9507-436E-8259-A1C9526BE200',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'BC3AC612-D091-4FA3-BEB8-6DB71FB75D09',N'B3D8A9AA-9507-436E-8259-A1C9526BE200',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'54303E9D-9CE8-465D-80B9-986FC31A228A',N'B3D8A9AA-9507-436E-8259-A1C9526BE200',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'93A4C962-D166-481A-BF59-192CDA82CE40',N'B3D8A9AA-9507-436E-8259-A1C9526BE200',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'99982F31-C49B-4596-92E3-B9F960F6D1C0',N'B3D8A9AA-9507-436E-8259-A1C9526BE200',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'48272D0A-1B54-4A80-B03D-D921648CE400',N'B3D8A9AA-9507-436E-8259-A1C9526BE200',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'457126D5-03EB-49E8-83F8-73D6BA482CF7',N'B3D8A9AA-9507-436E-8259-A1C9526BE200',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'9A473DCA-A25A-4C5B-A65B-CBEC0E916BEC',N'B3D8A9AA-9507-436E-8259-A1C9526BE200',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'9AE4ACFC-A43D-44A9-84A9-1AF63A166995',N'B3D8A9AA-9507-436E-8259-A1C9526BE200',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'20A3805C-5326-4DCD-835E-E2EBE7526896',N'B3D8A9AA-9507-436E-8259-A1C9526BE200',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'8E0AB1C6-78D2-4E36-B5DA-74608854C136',N'75A66637-D688-4F2F-8C1A-E41B96B56CB5',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'5A051A1E-CD4B-49FC-8CB7-64C6046A229D',N'75A66637-D688-4F2F-8C1A-E41B96B56CB5',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'6C995D26-B045-4811-BB1A-551F25E78C3F',N'75A66637-D688-4F2F-8C1A-E41B96B56CB5',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'0281B462-D57F-4E22-B921-C25720FBC3BC',N'75A66637-D688-4F2F-8C1A-E41B96B56CB5',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'7A83F8C4-9EC9-4FC6-841B-97E8D4729DF3',N'75A66637-D688-4F2F-8C1A-E41B96B56CB5',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'8D929057-8547-4CFA-BDD9-0D35C4B60BA5',N'75A66637-D688-4F2F-8C1A-E41B96B56CB5',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'F8CAD784-5DE7-4A02-99B0-CFF016FE31DE',N'75A66637-D688-4F2F-8C1A-E41B96B56CB5',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'A49523F1-A2F6-4705-B0F2-72B0DDBF9284',N'75A66637-D688-4F2F-8C1A-E41B96B56CB5',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'A41395FB-8D69-447C-8833-EB5DAA78A405',N'50ECF1D6-B0A7-48CC-A5E3-6AB79A1BB96F',N'DEF49A8F-7EC4-4F8F-B82E-C9BF51090025' UNION ALL
SELECT N'9E5E2C9E-6487-4D08-A3D1-991BD5DAA3E3',N'50ECF1D6-B0A7-48CC-A5E3-6AB79A1BB96F',N'DEF49A8F-7EC4-4F8F-B82E-C9BF51090025' UNION ALL
SELECT N'DED37583-24C4-4113-BF91-DB6484E27B1B',N'3E32F8D5-9695-49CE-A0A1-D8BBC37F86D0',N'E5A63F45-D89F-434B-9FE2-1BE66D327E41' UNION ALL
SELECT N'85E90FA5-D050-4FFC-B10A-136BA664C03D',N'3E32F8D5-9695-49CE-A0A1-D8BBC37F86D0',N'E5A63F45-D89F-434B-9FE2-1BE66D327E41' UNION ALL
SELECT N'35B1E6CE-BEC0-4F1B-B14F-B18C27BF67DA',N'3E32F8D5-9695-49CE-A0A1-D8BBC37F86D0',N'E5A63F45-D89F-434B-9FE2-1BE66D327E41' UNION ALL
SELECT N'98F58E21-8DAB-42F9-A08D-D8A790897A77',N'EF4872C0-1A50-4214-9269-A2F541BD7224',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'7A0AB73B-1FE9-4EFC-BA8B-57A04712B1C1',N'EF4872C0-1A50-4214-9269-A2F541BD7224',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'884B2903-34B8-4A89-924B-5BB6C35DAF80',N'EF4872C0-1A50-4214-9269-A2F541BD7224',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'9FC170C3-7250-4CBA-BD4B-3D3D5CFC40CF',N'EF4872C0-1A50-4214-9269-A2F541BD7224',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'1DF199E1-E6A8-465F-96B2-2631235A2048',N'EF4872C0-1A50-4214-9269-A2F541BD7224',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'940FD2AC-2EB0-4104-A987-76246BFF5307',N'EF4872C0-1A50-4214-9269-A2F541BD7224',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'C306A324-08EB-4F0C-A144-39F1BA67682A',N'EF4872C0-1A50-4214-9269-A2F541BD7224',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'FD18FEA3-313A-4A8F-A549-306A28865611',N'EF4872C0-1A50-4214-9269-A2F541BD7224',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'57214545-A454-4A99-88A2-C518F5DCB367',N'EF4872C0-1A50-4214-9269-A2F541BD7224',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'E495B0E9-C78D-466B-9AC4-A70B68DF163E',N'EF4872C0-1A50-4214-9269-A2F541BD7224',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'3B182598-3D30-479D-B10F-91A733C918A9',N'EF4872C0-1A50-4214-9269-A2F541BD7224',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'6B01920E-9294-4709-8A45-83651FE87C72',N'EF4872C0-1A50-4214-9269-A2F541BD7224',N'A34138FA-B33B-4E11-820D-73BEBE8A757D' UNION ALL
SELECT N'D255B056-CA51-4650-A007-00B300CBF3BE',N'EF4872C0-1A50-4214-9269-A2F541BD7224',N'A34138FA-B33B-4E11-820D-73BEBE8A757D'
GO


PRINT 'Market Property'
GO
INSERT INTO dbo.[MarketProperty]([MarketPropertyId], [MarketId],[QuantityUnitId],[PriceUnitId],[IsSubUnit])
SELECT N'7CED4CA4-4535-4B95-93C1-23673E19CE27',N'A34138FA-B33B-4E11-820D-73BEBE8A757D', N'48BECD24-45C4-4BD0-A695-7DF16A3796A7',N'858A0351-6C88-4146-A6D6-1A7A5D36EE25', 0 UNION ALL
SELECT N'78DB65A3-7B01-46F3-80D2-FD662669B94C',N'DEF49A8F-7EC4-4F8F-B82E-C9BF51090025', N'47EB94AC-4827-46B5-8D36-CE93A7B57554',N'858A0351-6C88-4146-A6D6-1A7A5D36EE25', 1 UNION ALL
SELECT N'3052ABAA-0DFD-472A-899A-862849BE18F2',N'E5A63F45-D89F-434B-9FE2-1BE66D327E41', N'47EB94AC-4827-46B5-8D36-CE93A7B57554',N'858A0351-6C88-4146-A6D6-1A7A5D36EE25', 1
GO                                

PRINT 'Currency'
GO       

INSERT INTO [dbo].[Currency]([CurrencyId],[Code],[BasicUnit],[SubUnit])
SELECT N'858A0351-6C88-4146-A6D6-1A7A5D36EE25',N'USD', N'DOLLARS', N'CENTS'
GO


PRINT 'Trade Period'
GO

INSERT INTO [LookupCode]([CodeId], [LookupId])
SELECT N'5D4B5935-8A06-4064-A7FA-69C71B75561F', 2 UNION ALL
SELECT N'59FF64A8-226A-4660-BCDA-17A596BFBD53', 2 UNION ALL
SELECT N'8EA9A211-E6DB-4E27-BF6F-3F8C11298AE0', 2 UNION ALL
SELECT N'87708B2D-5A00-40A2-98DB-03ADC856742F', 2 UNION ALL
SELECT N'9AF50938-34DA-40B0-9D86-6D882E7FF4FF', 2 UNION ALL
SELECT N'16FB1626-5A70-4181-A6EA-507A7C094838', 2 UNION ALL
SELECT N'9916E734-C43C-4AB7-94D0-5373D9C6CCA5', 2 UNION ALL
SELECT N'341A8A49-5290-4F64-A930-04BBBB34EDE6', 2 UNION ALL
SELECT N'AD45F15A-6EF8-4F86-B88B-E8B91B37BF54', 2 UNION ALL
SELECT N'303D00B6-5C61-46FC-9E47-9261F9B66025', 2 UNION ALL
SELECT N'8A813166-1BA9-42CA-97D1-F568C447F229', 2 UNION ALL
SELECT N'2CBE9FAA-10CE-493E-9E00-1CBB30D4541A', 2 UNION ALL
SELECT N'78AC0E6F-F67A-4E31-A205-CD3DEC9CA154', 2 UNION ALL
SELECT N'DD6B8860-CB6B-4F74-A439-A63AA18EF0C6', 2 UNION ALL
SELECT N'F8FAF5D5-D17F-4173-AC47-1E26EF34CF3C', 2 UNION ALL
SELECT N'632531FF-30BA-44E3-8E67-D2D6D189B20B', 2 UNION ALL
SELECT N'94C32CD1-F0B3-4DDA-BF01-7BC5638F092A', 2 UNION ALL
SELECT N'88DFBAA1-F112-4B09-9B63-DB954AEF2667', 2 UNION ALL
SELECT N'B0B878FD-10C1-4E40-A1A6-ED1F4BFD5613', 2 UNION ALL
SELECT N'3863AACB-9D07-45B0-BAFF-59400F6F73CD', 2 UNION ALL
SELECT N'7E09B80E-4238-497B-BC3B-83D3974AE3E6', 2 UNION ALL
SELECT N'FAE6D39A-FFB4-483E-AC17-72DD998DFC0A', 2 UNION ALL
SELECT N'C76F13FF-3BD9-4B8A-A774-19B652093B58', 2 UNION ALL
SELECT N'E489032B-3F0E-4D4A-99F5-DBAFF5AB8A6D', 2 UNION ALL
SELECT N'FA29B004-4EC9-4902-8922-CA93641A778D', 2 UNION ALL
SELECT N'8A441073-D0EB-4EBF-91F4-E84F1C0A8991', 2 UNION ALL
SELECT N'E8C03D2D-E6F8-477C-88E6-002DE559F442', 2 UNION ALL
SELECT N'2C00AC03-5698-4946-9347-3090861B0796', 2 UNION ALL
SELECT N'FD268ED1-FDBD-4FBB-B626-D7F34AC3BABF', 2 UNION ALL
SELECT N'CF5A8116-5C4A-4C3B-B62B-728E313D2AB9', 2 UNION ALL
SELECT N'202946E1-1929-4D38-8704-40E3868166F9', 2 UNION ALL
SELECT N'60B23E42-2C6F-4BE8-94BC-F0FAB7E6CD4C', 2 UNION ALL
SELECT N'E0F53C4B-92D5-44E1-AB0A-D55DD91ACF87', 2 UNION ALL
SELECT N'466C9425-669B-4D65-A8B4-3E719BF335F8', 2 UNION ALL
SELECT N'835F6667-4926-4CC8-ACB4-4D0F12614AF4', 2 UNION ALL
SELECT N'EB0C1262-C7CD-4124-942E-5B1065ACF675', 2 UNION ALL
SELECT N'E617B34E-B8C4-4CA8-897F-7543CAF7096D', 2 UNION ALL
SELECT N'C7FC326C-D10E-43A1-874D-CA0982D7A408', 2 UNION ALL
SELECT N'F8C8331C-B89F-4C99-8CE3-9908B68C0497', 2 UNION ALL
SELECT N'B6903BDA-97BF-4BC1-AE59-19090CC36270', 2 UNION ALL
SELECT N'4B5148C0-FE9A-4751-81DF-19B865184133', 2 UNION ALL
SELECT N'D16E1777-9B52-42FE-B2A0-496553710034', 2 UNION ALL
SELECT N'4AC8DA9D-E57C-4E13-B54D-D92620A83879', 2 UNION ALL
SELECT N'DB73B4F9-0F83-4FE4-A774-14D9C1A8E6C6', 2 UNION ALL
SELECT N'4546C039-4E63-4795-8BCE-7DDDEE77A695', 2 UNION ALL
SELECT N'958F1B4E-1239-476A-80A3-A03F5BF194FE', 2 UNION ALL
SELECT N'33587844-B0F1-4111-9665-7465DE076ACB', 2 UNION ALL
SELECT N'12E7FDAF-53E6-4026-A1D1-81F7524AD994', 2 UNION ALL
SELECT N'399005EC-5FE0-4509-B0C3-AC31DC5DC26E', 2 UNION ALL
SELECT N'51A5B689-280F-4BC9-A9EF-D9472507C1AA', 2 UNION ALL
SELECT N'42F04A78-CD8F-4073-B1AE-E916C33362F2', 2 UNION ALL
SELECT N'6B4CFA94-118A-4C2C-B3CF-B1A6DE466ACA', 2 UNION ALL
SELECT N'B3386AEE-C88D-436C-B08E-3BCD37E0019B', 2 UNION ALL
SELECT N'2E65589C-65A3-44C0-A18E-12CD4C3EFFFE', 2 UNION ALL
SELECT N'01052424-711F-4D54-BEF5-4409B0F6DF5D', 2 UNION ALL
SELECT N'EA750550-B32B-496A-8D6F-406DE5D46CA8', 2 UNION ALL
SELECT N'929039B5-CAD2-4527-9267-C38CD84EF1C7', 2 UNION ALL
SELECT N'695AAB38-6AC9-4A4F-9996-A6A0A3E5386A', 2 UNION ALL
SELECT N'7C3FD960-C2DF-41A9-A4D2-82E5BB6B03F6', 2 UNION ALL
SELECT N'03CDD92B-9448-48B5-BE0F-7D81CF362F97', 2 UNION ALL
SELECT N'5168D765-A853-4658-8CDE-42DE7E835B29', 2 UNION ALL
SELECT N'248C432D-086D-4569-B88D-2F1E643BC76B', 2 UNION ALL
SELECT N'274341D9-4832-44BE-A81E-5A123B575832', 2 UNION ALL
SELECT N'FC96C131-0058-4AFA-A23E-E7A1E6D6B6F5', 2 UNION ALL
SELECT N'83DEF373-B6C2-4F94-8E4E-98419B46C0B6', 2 UNION ALL
SELECT N'E19704C2-04B4-4BF0-B27C-EAEDAED950A1', 2 UNION ALL
SELECT N'8502880B-677F-468D-8C72-23A3BCF5FAFA', 2 UNION ALL
SELECT N'2BC60D5F-F842-4CCE-8022-491669E0AA30', 2 UNION ALL
SELECT N'991862C2-E0E8-4922-9ACE-C7219B7DF09A', 2 UNION ALL
SELECT N'1F4201FC-6840-4885-88CB-F99AAEF69A98', 2 UNION ALL
SELECT N'1AAB01F7-0CD8-464F-A188-3DE6BE8E1C77', 2 UNION ALL
SELECT N'6B7CEB60-F940-4478-9F25-1EBF91C71490', 2 UNION ALL
SELECT N'F059BDA8-C6AB-4170-9233-839DD29D0F0E', 2 UNION ALL
SELECT N'5C9697DE-D743-4291-9199-31191BC7BBB5', 2 UNION ALL
SELECT N'581F80B8-12D5-4895-B148-C910373D4837', 2 UNION ALL
SELECT N'90F68325-9415-424E-8C7A-A7A2B0767BE6', 2 UNION ALL
SELECT N'CEC05155-1A26-414C-99D9-5B3585121C73', 2 UNION ALL
SELECT N'6F129129-16A7-4A36-9714-C16052B6E41C', 2 UNION ALL
SELECT N'E768281A-5657-407C-8473-5997DA442494', 2 UNION ALL
SELECT N'4B63256B-C6DC-4990-AB0A-FD232147C37B', 2 UNION ALL
SELECT N'1D14325B-0D82-4C6E-BCBD-5719AC9FD32C', 2 UNION ALL
SELECT N'E91A7A7D-E7B8-4A06-8060-5786C161B729', 2 UNION ALL
SELECT N'422AD5CA-104E-47D3-9ABF-F280A61A0B32', 2 UNION ALL
SELECT N'EF1E7560-4EC4-491C-AEFA-B36EF8AECE1F', 2 UNION ALL
SELECT N'4870440E-858D-4877-8197-7F12FB8B639F', 2 UNION ALL
SELECT N'A118C2AA-4186-4B99-8766-0BA9BE5C4DB6', 2 UNION ALL
SELECT N'C03CE284-50C6-4A25-92EC-D3D04E22A366', 2 UNION ALL
SELECT N'27F5F4A9-91FA-4C3A-B118-9A20FF5525A0', 2 UNION ALL
SELECT N'B91E96DB-BA52-4A30-A5F6-F113DF07E9EB', 2 UNION ALL
SELECT N'676C3D32-EB55-420B-93B2-ABF8D8F54D55', 2 UNION ALL
SELECT N'4F49D1E9-98A2-4507-B0B5-EFF2199AE722', 2 UNION ALL
SELECT N'0BE58D12-3B6D-45BD-AD53-77C33A629F5D', 2 UNION ALL
SELECT N'8C8A9DE1-F4D4-498B-9FCC-05A4B41ABCAC', 2 UNION ALL
SELECT N'E3ED7F08-240F-478A-B018-B4A30D541DB1', 2 UNION ALL
SELECT N'63DA4FD2-1E64-4260-B3AC-31660CAD2885', 2 UNION ALL
SELECT N'8868E8D9-00CA-475E-86AF-D01A30B4F23B', 2 UNION ALL
SELECT N'907202B8-19EC-402E-8F32-6532482C7801', 2 UNION ALL
SELECT N'45ACDBDB-F53E-4668-89A0-F42AC1092113', 2 UNION ALL
SELECT N'4B31998A-C488-4E4B-9518-5E072C077169', 2 UNION ALL
SELECT N'E8E92D07-BAF9-491E-B795-B88E68CEE0FD', 2 UNION ALL
SELECT N'972B3BA3-E677-4C0B-93ED-0E8347FCBAE5', 2 UNION ALL
SELECT N'2C3A8A75-C162-41A6-9587-B5C725818BB1', 2 UNION ALL
SELECT N'69361E11-C84D-44CB-A47B-4D527CD68CE6', 2 UNION ALL
SELECT N'50A6B413-8CE0-48F6-9FAA-7F8AFB8AC36F', 2 UNION ALL
SELECT N'409F3549-54FB-4A90-B458-E5B31B1FB68A', 2 UNION ALL
SELECT N'E95D9DBB-5167-4D04-93E0-252ECD7D2F48', 2 UNION ALL
SELECT N'E691D431-F31A-46F0-9E1E-339D663ED811', 2 UNION ALL
SELECT N'EB233C18-7156-473F-AEAA-FFDF41429D83', 2 UNION ALL
SELECT N'1A5ABFF2-ED16-4C63-9911-111529B2B969', 2 UNION ALL
SELECT N'4FD74E98-6E69-4CE4-9252-A285B7010EF7', 2 UNION ALL
SELECT N'7F936CB3-B8C8-487C-ADEB-FA66D8575526', 2 UNION ALL
SELECT N'DA4A9FCC-87CE-46C9-8CAE-FC447BB856D8', 2 UNION ALL
SELECT N'6545C839-3936-45CF-96C1-8DBA1FB0980C', 2 UNION ALL
SELECT N'5F23B26A-A3BB-40BE-90F6-019C6B068FAA', 2 UNION ALL
SELECT N'18FE2ADF-7B10-452C-8BDA-44259E85BCAD', 2 UNION ALL
SELECT N'0F519611-A4BC-4191-BD33-6B0C6FE72C85', 2 UNION ALL
SELECT N'5B7CB298-6EAF-47C3-AE15-E3F64759BEF0', 2 UNION ALL
SELECT N'70585AB2-D097-4F5B-98C1-FD5A80B70657', 2 UNION ALL
SELECT N'8333D9FC-CB01-4861-9168-671CBA3A3AC6', 2 UNION ALL
SELECT N'5873C619-0BBF-4F0B-86EE-0042442A190E', 2
GO

INSERT INTO [LookupValue]([LookupValueId], [LookupCodeId], [CodeValue], [CodeName], [Culture])
SELECT N'6F73E3F0-70ED-4EE9-891C-C7E863EB6A43', N'5D4B5935-8A06-4064-A7FA-69C71B75561F', N'', N'Jan-12', 'en-US' UNION ALL
SELECT N'77C2ACE8-CD9E-4331-AAD8-EF495FEC1B48', N'59FF64A8-226A-4660-BCDA-17A596BFBD53', N'', N'Feb-12', 'en-US' UNION ALL
SELECT N'82D1DEE0-B71F-4B08-BBF1-687AE50AE41D', N'8EA9A211-E6DB-4E27-BF6F-3F8C11298AE0', N'', N'Mar-12', 'en-US' UNION ALL
SELECT N'1EF2D7BC-E4A0-4E07-8975-AAC0B23E28B8', N'87708B2D-5A00-40A2-98DB-03ADC856742F', N'', N'Apr-12', 'en-US' UNION ALL
SELECT N'9BD2C629-F104-483C-BD25-217102685DFC', N'9AF50938-34DA-40B0-9D86-6D882E7FF4FF', N'', N'May-12', 'en-US' UNION ALL
SELECT N'00305644-B9AE-44C8-A394-401BE51F13CB', N'16FB1626-5A70-4181-A6EA-507A7C094838', N'', N'Jun-12', 'en-US' UNION ALL
SELECT N'9BF6F8C9-9FA5-4468-BF83-0294A393D766', N'9916E734-C43C-4AB7-94D0-5373D9C6CCA5', N'', N'Jul-12', 'en-US' UNION ALL
SELECT N'D6E40194-73D7-43E1-B479-81D1A7C772B5', N'341A8A49-5290-4F64-A930-04BBBB34EDE6', N'', N'Aug-12', 'en-US' UNION ALL
SELECT N'F8EAD756-7ED3-4E52-BE54-0917B4A39738', N'AD45F15A-6EF8-4F86-B88B-E8B91B37BF54', N'', N'Sep-12', 'en-US' UNION ALL
SELECT N'72634876-15B6-4F1E-B853-B1DB124F583F', N'303D00B6-5C61-46FC-9E47-9261F9B66025', N'', N'Oct-12', 'en-US' UNION ALL
SELECT N'C61A1AB6-3718-4E63-8305-AC692E97BF17', N'8A813166-1BA9-42CA-97D1-F568C447F229', N'', N'Nov-12', 'en-US' UNION ALL
SELECT N'1B910221-5E3B-41C0-8AD5-8BDE3BAE2195', N'2CBE9FAA-10CE-493E-9E00-1CBB30D4541A', N'', N'Dec-12', 'en-US' UNION ALL
SELECT N'23013C54-D132-44F1-85ED-738CCB73F7DA', N'78AC0E6F-F67A-4E31-A205-CD3DEC9CA154', N'', N'Jan-13', 'en-US' UNION ALL
SELECT N'F2736D7E-D976-4403-A489-A1FE9BE58BC5', N'DD6B8860-CB6B-4F74-A439-A63AA18EF0C6', N'', N'Feb-13', 'en-US' UNION ALL
SELECT N'6967EBEE-7483-4EF4-B9FF-927F99DF85DB', N'F8FAF5D5-D17F-4173-AC47-1E26EF34CF3C', N'', N'Mar-13', 'en-US' UNION ALL
SELECT N'09D89B94-3A6A-4C84-AC12-5E8BF6E08BB0', N'632531FF-30BA-44E3-8E67-D2D6D189B20B', N'', N'Apr-13', 'en-US' UNION ALL
SELECT N'6E8DDFAF-3F63-49DF-B20D-F5B2776560CE', N'94C32CD1-F0B3-4DDA-BF01-7BC5638F092A', N'', N'May-13', 'en-US' UNION ALL
SELECT N'5993B5BF-FE46-459B-A071-13BF7AACC8C1', N'88DFBAA1-F112-4B09-9B63-DB954AEF2667', N'', N'Jun-13', 'en-US' UNION ALL
SELECT N'66D0D29C-0170-4FFD-AA30-D9D2B24727D2', N'B0B878FD-10C1-4E40-A1A6-ED1F4BFD5613', N'', N'Jul-13', 'en-US' UNION ALL
SELECT N'67134EE0-4ECE-4FC9-96C6-4699A73987E1', N'3863AACB-9D07-45B0-BAFF-59400F6F73CD', N'', N'Aug-13', 'en-US' UNION ALL
SELECT N'BA9D1420-9920-4BFF-8B4F-3001FF7F50D7', N'7E09B80E-4238-497B-BC3B-83D3974AE3E6', N'', N'Sep-13', 'en-US' UNION ALL
SELECT N'9A49D499-47B6-4449-AEB9-9DEC0B645B83', N'FAE6D39A-FFB4-483E-AC17-72DD998DFC0A', N'', N'Oct-13', 'en-US' UNION ALL
SELECT N'0227931E-1E0C-4484-8BF4-3903F6C404A9', N'C76F13FF-3BD9-4B8A-A774-19B652093B58', N'', N'Nov-13', 'en-US' UNION ALL
SELECT N'8A68FC3C-7BD2-4313-884A-033D612C169A', N'E489032B-3F0E-4D4A-99F5-DBAFF5AB8A6D', N'', N'Dec-13', 'en-US' UNION ALL
SELECT N'3A9F2394-790B-43A1-A240-FFBF27000049', N'FA29B004-4EC9-4902-8922-CA93641A778D', N'', N'Jan-14', 'en-US' UNION ALL
SELECT N'58097C4C-A2C2-4C71-9743-CE16F39B45D2', N'8A441073-D0EB-4EBF-91F4-E84F1C0A8991', N'', N'Feb-14', 'en-US' UNION ALL
SELECT N'A4B11C52-F350-4D7D-B710-B639B2186DEE', N'E8C03D2D-E6F8-477C-88E6-002DE559F442', N'', N'Mar-14', 'en-US' UNION ALL
SELECT N'10BB2D4A-64A2-4C6C-9E35-106CB69FC948', N'2C00AC03-5698-4946-9347-3090861B0796', N'', N'Apr-14', 'en-US' UNION ALL
SELECT N'FDA3398C-2AC4-499B-9623-DA52E6079FAA', N'FD268ED1-FDBD-4FBB-B626-D7F34AC3BABF', N'', N'May-14', 'en-US' UNION ALL
SELECT N'BE3C27C0-05C0-4841-939D-70996B03C06E', N'CF5A8116-5C4A-4C3B-B62B-728E313D2AB9', N'', N'Jun-14', 'en-US' UNION ALL
SELECT N'37EC67E4-DA43-43D7-9082-FD37B18F68F9', N'202946E1-1929-4D38-8704-40E3868166F9', N'', N'Jul-14', 'en-US' UNION ALL
SELECT N'77D308A1-DD0E-4425-BACF-FEC3F1A8B3D1', N'60B23E42-2C6F-4BE8-94BC-F0FAB7E6CD4C', N'', N'Aug-14', 'en-US' UNION ALL
SELECT N'14FDD33D-DF41-4828-BF42-62384FA8669D', N'E0F53C4B-92D5-44E1-AB0A-D55DD91ACF87', N'', N'Sep-14', 'en-US' UNION ALL
SELECT N'BD95843C-9923-43BD-9429-7FFC88673AB5', N'466C9425-669B-4D65-A8B4-3E719BF335F8', N'', N'Oct-14', 'en-US' UNION ALL
SELECT N'ED978215-DDC3-483E-B2AC-7F6DA2E63FDF', N'835F6667-4926-4CC8-ACB4-4D0F12614AF4', N'', N'Nov-14', 'en-US' UNION ALL
SELECT N'CB44E711-2A5B-4A13-8278-E40A4A994450', N'EB0C1262-C7CD-4124-942E-5B1065ACF675', N'', N'Dec-14', 'en-US' UNION ALL
SELECT N'3ED5017F-EAB3-4E04-A29D-FE0F16E3E663', N'E617B34E-B8C4-4CA8-897F-7543CAF7096D', N'', N'Jan-15', 'en-US' UNION ALL
SELECT N'ADF53E9C-2A85-4335-9651-EE4532002E5D', N'C7FC326C-D10E-43A1-874D-CA0982D7A408', N'', N'Feb-15', 'en-US' UNION ALL
SELECT N'722F1E8E-C044-40F8-A5DB-BBCC285C7E8F', N'F8C8331C-B89F-4C99-8CE3-9908B68C0497', N'', N'Mar-15', 'en-US' UNION ALL
SELECT N'CCDC6FC6-98E9-46E7-B7D6-AC9ADC3995B1', N'B6903BDA-97BF-4BC1-AE59-19090CC36270', N'', N'Apr-15', 'en-US' UNION ALL
SELECT N'1D5893F7-D1B2-4E7D-BBEC-297385A4056D', N'4B5148C0-FE9A-4751-81DF-19B865184133', N'', N'May-15', 'en-US' UNION ALL
SELECT N'E6D27B58-1D9A-4DC9-AC67-608B19153704', N'D16E1777-9B52-42FE-B2A0-496553710034', N'', N'Jun-15', 'en-US' UNION ALL
SELECT N'1121CBD5-5367-46AE-A10C-7D8F2FE7E01D', N'4AC8DA9D-E57C-4E13-B54D-D92620A83879', N'', N'Jul-15', 'en-US' UNION ALL
SELECT N'DA656296-D434-4B22-BA86-6AEE81833705', N'DB73B4F9-0F83-4FE4-A774-14D9C1A8E6C6', N'', N'Aug-15', 'en-US' UNION ALL
SELECT N'BA20E4AA-1FE1-47B7-B486-95A29100EE76', N'4546C039-4E63-4795-8BCE-7DDDEE77A695', N'', N'Sep-15', 'en-US' UNION ALL
SELECT N'B67EAD54-D0D6-46A2-B44A-13D08B003ABB', N'958F1B4E-1239-476A-80A3-A03F5BF194FE', N'', N'Oct-15', 'en-US' UNION ALL
SELECT N'DE3D1749-91BF-48E7-BD1E-5983118E4B6E', N'33587844-B0F1-4111-9665-7465DE076ACB', N'', N'Nov-15', 'en-US' UNION ALL
SELECT N'03108571-8829-4C10-989F-B48097571A25', N'12E7FDAF-53E6-4026-A1D1-81F7524AD994', N'', N'Dec-15', 'en-US' UNION ALL
SELECT N'B361215E-23A8-4C46-9DB6-CE228FC2D789', N'399005EC-5FE0-4509-B0C3-AC31DC5DC26E', N'', N'Jan-16', 'en-US' UNION ALL
SELECT N'D4CB12DB-F64E-4532-B7EF-2B22B4A4C03B', N'51A5B689-280F-4BC9-A9EF-D9472507C1AA', N'', N'Feb-16', 'en-US' UNION ALL
SELECT N'A8D7C965-E1C3-437B-9509-EB7DEB545D5B', N'42F04A78-CD8F-4073-B1AE-E916C33362F2', N'', N'Mar-16', 'en-US' UNION ALL
SELECT N'70D44B09-A474-486B-8A19-40198420D1B6', N'6B4CFA94-118A-4C2C-B3CF-B1A6DE466ACA', N'', N'Apr-16', 'en-US' UNION ALL
SELECT N'57C64B5B-CB85-4AB2-82BA-5B04B29B0C9C', N'B3386AEE-C88D-436C-B08E-3BCD37E0019B', N'', N'May-16', 'en-US' UNION ALL
SELECT N'F62F0CEF-23C2-424C-8860-91DB5A6C988D', N'2E65589C-65A3-44C0-A18E-12CD4C3EFFFE', N'', N'Jun-16', 'en-US' UNION ALL
SELECT N'98594D9A-A7C5-436B-AA8B-46289093C356', N'01052424-711F-4D54-BEF5-4409B0F6DF5D', N'', N'Jul-16', 'en-US' UNION ALL
SELECT N'17CFFBBF-710B-4455-A6AA-572B39C6D4E2', N'EA750550-B32B-496A-8D6F-406DE5D46CA8', N'', N'Aug-16', 'en-US' UNION ALL
SELECT N'0185869E-7448-4377-AB82-97EA8A45B877', N'929039B5-CAD2-4527-9267-C38CD84EF1C7', N'', N'Sep-16', 'en-US' UNION ALL
SELECT N'FD4B3C88-DF9B-47F4-B212-DDD57308E1A8', N'695AAB38-6AC9-4A4F-9996-A6A0A3E5386A', N'', N'Oct-16', 'en-US' UNION ALL
SELECT N'199B0209-8108-4E7E-A55C-737F8E121596', N'7C3FD960-C2DF-41A9-A4D2-82E5BB6B03F6', N'', N'Nov-16', 'en-US' UNION ALL
SELECT N'B06DF673-F982-4963-9B58-5C503651AB99', N'03CDD92B-9448-48B5-BE0F-7D81CF362F97', N'', N'Dec-16', 'en-US' UNION ALL
SELECT N'6C073E3E-99AB-4024-B088-742E529AB5D9', N'5168D765-A853-4658-8CDE-42DE7E835B29', N'', N'Jan-17', 'en-US' UNION ALL
SELECT N'241FB255-C40B-4EB1-9455-0A3F7BF9DE5A', N'248C432D-086D-4569-B88D-2F1E643BC76B', N'', N'Feb-17', 'en-US' UNION ALL
SELECT N'021BD577-8443-4FC6-8DD1-942160471B99', N'274341D9-4832-44BE-A81E-5A123B575832', N'', N'Mar-17', 'en-US' UNION ALL
SELECT N'E180AEB9-2DBE-4533-A47E-FEAA0668FC5E', N'FC96C131-0058-4AFA-A23E-E7A1E6D6B6F5', N'', N'Apr-17', 'en-US' UNION ALL
SELECT N'443D5DC5-3393-47DC-83D7-8389A9A41882', N'83DEF373-B6C2-4F94-8E4E-98419B46C0B6', N'', N'May-17', 'en-US' UNION ALL
SELECT N'26A30C85-5031-49F9-8070-C97896187CC0', N'E19704C2-04B4-4BF0-B27C-EAEDAED950A1', N'', N'Jun-17', 'en-US' UNION ALL
SELECT N'81F9FF24-171F-445E-BFAE-47762F0B01A6', N'8502880B-677F-468D-8C72-23A3BCF5FAFA', N'', N'Jul-17', 'en-US' UNION ALL
SELECT N'F41B28C6-5AC6-4868-A461-D2E10632AEC2', N'2BC60D5F-F842-4CCE-8022-491669E0AA30', N'', N'Aug-17', 'en-US' UNION ALL
SELECT N'A2346EEE-3D36-4B5A-8956-727C3756B4E2', N'991862C2-E0E8-4922-9ACE-C7219B7DF09A', N'', N'Sep-17', 'en-US' UNION ALL
SELECT N'CDAE4CEF-00B3-4622-9C77-0384F9B12AC0', N'1F4201FC-6840-4885-88CB-F99AAEF69A98', N'', N'Oct-17', 'en-US' UNION ALL
SELECT N'1BFC0A5B-6564-4DDB-8424-A8B17DB98678', N'1AAB01F7-0CD8-464F-A188-3DE6BE8E1C77', N'', N'Nov-17', 'en-US' UNION ALL
SELECT N'9AED5043-1D2E-4D09-A907-451C3F6AD91F', N'6B7CEB60-F940-4478-9F25-1EBF91C71490', N'', N'Dec-17', 'en-US' UNION ALL
SELECT N'3934DDCA-05B6-4280-A966-CA28DD7068DF', N'F059BDA8-C6AB-4170-9233-839DD29D0F0E', N'', N'Jan-18', 'en-US' UNION ALL
SELECT N'C58C0AC8-B21F-473C-B067-BDBC7CBF3086', N'5C9697DE-D743-4291-9199-31191BC7BBB5', N'', N'Feb-18', 'en-US' UNION ALL
SELECT N'22BA02FD-16C5-47A5-9036-1379312284ED', N'581F80B8-12D5-4895-B148-C910373D4837', N'', N'Mar-18', 'en-US' UNION ALL
SELECT N'88594418-49E9-468B-B144-ED2F43B992A6', N'90F68325-9415-424E-8C7A-A7A2B0767BE6', N'', N'Apr-18', 'en-US' UNION ALL
SELECT N'7E12E803-E763-4412-8AF3-1D1774967554', N'CEC05155-1A26-414C-99D9-5B3585121C73', N'', N'May-18', 'en-US' UNION ALL
SELECT N'240581EA-1D5E-4F1D-83DD-1D92CD330A0F', N'6F129129-16A7-4A36-9714-C16052B6E41C', N'', N'Jun-18', 'en-US' UNION ALL
SELECT N'22395489-7EE3-4909-ADCB-24F4AACE35A2', N'E768281A-5657-407C-8473-5997DA442494', N'', N'Jul-18', 'en-US' UNION ALL
SELECT N'C4B21915-D1B6-45C0-8DBA-CEB694BB4363', N'4B63256B-C6DC-4990-AB0A-FD232147C37B', N'', N'Aug-18', 'en-US' UNION ALL
SELECT N'A3582D74-DEB9-4EFE-8CC0-A8C36A994179', N'1D14325B-0D82-4C6E-BCBD-5719AC9FD32C', N'', N'Sep-18', 'en-US' UNION ALL
SELECT N'B58EB109-AABF-4355-9480-C8FEC7FC059F', N'E91A7A7D-E7B8-4A06-8060-5786C161B729', N'', N'Oct-18', 'en-US' UNION ALL
SELECT N'91C29207-8193-48A8-9A9B-544A33BF64D1', N'422AD5CA-104E-47D3-9ABF-F280A61A0B32', N'', N'Nov-18', 'en-US' UNION ALL
SELECT N'1CE79C22-7987-4AF1-9CB4-A8848B7FF347', N'EF1E7560-4EC4-491C-AEFA-B36EF8AECE1F', N'', N'Dec-18', 'en-US' UNION ALL
SELECT N'1418A951-C880-4519-9C89-EF8E86F7DC4B', N'4870440E-858D-4877-8197-7F12FB8B639F', N'', N'Jan-19', 'en-US' UNION ALL
SELECT N'4E179A7F-0245-40B7-987C-E04F12DB08F4', N'A118C2AA-4186-4B99-8766-0BA9BE5C4DB6', N'', N'Feb-19', 'en-US' UNION ALL
SELECT N'311DA3C6-53B3-45F5-AE60-9823FB4C79F3', N'C03CE284-50C6-4A25-92EC-D3D04E22A366', N'', N'Mar-19', 'en-US' UNION ALL
SELECT N'E025830A-62A2-4492-A933-288D759C85E2', N'27F5F4A9-91FA-4C3A-B118-9A20FF5525A0', N'', N'Apr-19', 'en-US' UNION ALL
SELECT N'9764A6DD-51A5-42B3-8351-11879E83D58F', N'B91E96DB-BA52-4A30-A5F6-F113DF07E9EB', N'', N'May-19', 'en-US' UNION ALL
SELECT N'7404F7F5-5F53-46F1-9CEE-D05EFEE93C31', N'676C3D32-EB55-420B-93B2-ABF8D8F54D55', N'', N'Jun-19', 'en-US' UNION ALL
SELECT N'EBA95545-498D-4540-8449-BDBD8C012C78', N'4F49D1E9-98A2-4507-B0B5-EFF2199AE722', N'', N'Jul-19', 'en-US' UNION ALL
SELECT N'6BDAB0ED-CA76-43D7-9473-9C01A06DF4F6', N'0BE58D12-3B6D-45BD-AD53-77C33A629F5D', N'', N'Aug-19', 'en-US' UNION ALL
SELECT N'6893EC3B-41F2-405E-84F1-CD053C9D26B9', N'8C8A9DE1-F4D4-498B-9FCC-05A4B41ABCAC', N'', N'Sep-19', 'en-US' UNION ALL
SELECT N'2DEFC805-5C0D-4934-A851-EB4E1C16BAC2', N'E3ED7F08-240F-478A-B018-B4A30D541DB1', N'', N'Oct-19', 'en-US' UNION ALL
SELECT N'36C15A75-B157-4FEF-9CBA-FB022A9C93CF', N'63DA4FD2-1E64-4260-B3AC-31660CAD2885', N'', N'Nov-19', 'en-US' UNION ALL
SELECT N'B7B99A84-5B96-4A4C-9B82-0E9989B86E3B', N'8868E8D9-00CA-475E-86AF-D01A30B4F23B', N'', N'Dec-19', 'en-US' UNION ALL
SELECT N'A72FCB16-956D-46A9-A5FB-6B5B81347896', N'907202B8-19EC-402E-8F32-6532482C7801', N'', N'Jan-20', 'en-US' UNION ALL
SELECT N'40222116-11E7-446E-81A8-1893888C30F6', N'45ACDBDB-F53E-4668-89A0-F42AC1092113', N'', N'Feb-20', 'en-US' UNION ALL
SELECT N'61ACFE86-D630-41D1-81C4-F075A93741B8', N'4B31998A-C488-4E4B-9518-5E072C077169', N'', N'Mar-20', 'en-US' UNION ALL
SELECT N'5BE5AE0F-8EE0-40C8-80BF-31BA5F732220', N'E8E92D07-BAF9-491E-B795-B88E68CEE0FD', N'', N'Apr-20', 'en-US' UNION ALL
SELECT N'A25708CA-D387-4AAB-A62C-98105CDE00F1', N'972B3BA3-E677-4C0B-93ED-0E8347FCBAE5', N'', N'May-20', 'en-US' UNION ALL
SELECT N'6B96A2CE-668E-435F-8B8C-CCE311EDE459', N'2C3A8A75-C162-41A6-9587-B5C725818BB1', N'', N'Jun-20', 'en-US' UNION ALL
SELECT N'05290270-C4A4-4794-8498-094E30A4192B', N'69361E11-C84D-44CB-A47B-4D527CD68CE6', N'', N'Jul-20', 'en-US' UNION ALL
SELECT N'300AC631-1A4F-418D-ABD2-880CC89773D2', N'50A6B413-8CE0-48F6-9FAA-7F8AFB8AC36F', N'', N'Aug-20', 'en-US' UNION ALL
SELECT N'BCF2DA98-6A2C-47D9-B1F8-265F6819465D', N'409F3549-54FB-4A90-B458-E5B31B1FB68A', N'', N'Sep-20', 'en-US' UNION ALL
SELECT N'D83148CA-EC78-43CF-9B98-18E8D02DE384', N'E95D9DBB-5167-4D04-93E0-252ECD7D2F48', N'', N'Oct-20', 'en-US' UNION ALL
SELECT N'54AA8ED6-1C3F-4D80-85F8-E88A2882A1F4', N'E691D431-F31A-46F0-9E1E-339D663ED811', N'', N'Nov-20', 'en-US' UNION ALL
SELECT N'B53BC3F6-112A-450F-BFE6-EB67130A00BE', N'EB233C18-7156-473F-AEAA-FFDF41429D83', N'', N'Dec-20', 'en-US' UNION ALL
SELECT N'6868FAB3-11C1-4573-A016-9A007B64A8D6', N'1A5ABFF2-ED16-4C63-9911-111529B2B969', N'', N'Jan-21', 'en-US' UNION ALL
SELECT N'267DC9C0-65C8-4CC5-927C-A6C6E1110A3A', N'4FD74E98-6E69-4CE4-9252-A285B7010EF7', N'', N'Feb-21', 'en-US' UNION ALL
SELECT N'5CFF907D-FF8D-4B65-A34E-9C921C0E5177', N'7F936CB3-B8C8-487C-ADEB-FA66D8575526', N'', N'Mar-21', 'en-US' UNION ALL
SELECT N'9F0BD04B-4C83-41DB-AEE7-C2923F698A27', N'DA4A9FCC-87CE-46C9-8CAE-FC447BB856D8', N'', N'Apr-21', 'en-US' UNION ALL
SELECT N'9174B619-92F9-42B0-8B8E-1F60365A01E1', N'6545C839-3936-45CF-96C1-8DBA1FB0980C', N'', N'May-21', 'en-US' UNION ALL
SELECT N'C1BC5081-4D9B-4137-842F-FD3D89BC7DDA', N'5F23B26A-A3BB-40BE-90F6-019C6B068FAA', N'', N'Jun-21', 'en-US' UNION ALL
SELECT N'33FE87A1-424A-4AC6-8AEC-34EE932E7321', N'18FE2ADF-7B10-452C-8BDA-44259E85BCAD', N'', N'Jul-21', 'en-US' UNION ALL
SELECT N'DB17D46E-22D8-41EC-8EC8-1B928DFEDFB1', N'0F519611-A4BC-4191-BD33-6B0C6FE72C85', N'', N'Aug-21', 'en-US' UNION ALL
SELECT N'A234083C-3EB0-4AB9-B451-B450A724C085', N'5B7CB298-6EAF-47C3-AE15-E3F64759BEF0', N'', N'Sep-21', 'en-US' UNION ALL
SELECT N'BB505953-446D-4E5B-818F-EDCAB2E97E68', N'70585AB2-D097-4F5B-98C1-FD5A80B70657', N'', N'Oct-21', 'en-US' UNION ALL
SELECT N'F69A14B5-B4BC-4E0B-83B7-111CA2C1AD11', N'8333D9FC-CB01-4861-9168-671CBA3A3AC6', N'', N'Nov-21', 'en-US' UNION ALL
SELECT N'38B62C77-A199-408A-820E-B3FCB9642ACB', N'5873C619-0BBF-4F0B-86EE-0042442A190E', N'', N'Dec-21', 'en-US'

GO

PRINT 'Client Type'
GO

INSERT INTO [LookupCode]([CodeId], [LookupId])
SELECT N'662E23E5-43C8-4936-BA9E-38B438967F48', 3 UNION ALL
SELECT N'6187EFC5-1C33-4627-8354-E429F356BDC9', 3 UNION ALL
SELECT N'4783C4FC-070A-4E73-8C01-12C75F833ED3', 3 UNION ALL
SELECT N'FB39B63A-88AE-4A2E-9AF7-EB00AB8E6AE7', 3 UNION ALL
SELECT N'BB438602-F500-43FC-BD7C-3AE79AF04509', 3
GO                                                           

INSERT INTO [LookupValue]([LookupValueId], [LookupCodeId], [CodeValue], [CodeName], [Culture])
SELECT N'5B46FAA5-EA5F-40EB-BD30-73DE1C7F5A4C', N'662E23E5-43C8-4936-BA9E-38B438967F48', N'', N'Trader', N'en-US' UNION ALL
SELECT N'B97F9772-AED1-406C-9017-18BD4912F8C1', N'6187EFC5-1C33-4627-8354-E429F356BDC9', N'', N'Bank', N'en-US' UNION ALL
SELECT N'4B8EEBAC-C21D-4E58-B9D7-BF304A8FBEDF', N'4783C4FC-070A-4E73-8C01-12C75F833ED3', N'', N'Major', N'en-US' UNION ALL
SELECT N'2374D51E-5C92-4CCC-B1F5-309AB9208981', N'FB39B63A-88AE-4A2E-9AF7-EB00AB8E6AE7', N'', N'Local', N'en-US' UNION ALL
SELECT N'3077D70A-CCC4-405C-A784-7C32981DFD69', N'BB438602-F500-43FC-BD7C-3AE79AF04509', N'', N'FTZ', N'en-US'
GO

PRINT 'Delivery Method'
GO

INSERT INTO [LookupCode]([CodeId], [LookupId])
SELECT N'7D6B289C-4774-49A9-8EBC-C58DF3B1BDC4', 4 UNION ALL
SELECT N'398E585A-84E7-4E52-8400-21E373122444', 4 UNION ALL
SELECT N'7E9259B7-09BE-4E1C-BBF3-3E04502FD90F', 4 UNION ALL
SELECT N'933B8E73-713A-425B-A964-18AD105B21BB', 4 UNION ALL
SELECT N'98274B17-6971-4659-BFC5-AE5C75221D87', 4 UNION ALL
SELECT N'A39CB9B1-AD5C-48D9-B6B4-026107B86135', 4 UNION ALL
SELECT N'FF79646C-A579-4AAF-AD46-C05CD857F0C0', 4 UNION ALL
SELECT N'3781E030-4516-48BC-A4C9-DD2414151BDF', 4 UNION ALL
SELECT N'96341ED4-EEDD-420D-B765-E5FECE17C72F', 4 UNION ALL
SELECT N'81093446-2607-4331-A875-2E069E2B967B', 4 UNION ALL
SELECT N'B4D001B8-8C21-4AE2-A481-EC79D9A73168', 4 UNION ALL
SELECT N'9BA6187D-85A2-4DF7-848E-0256851F7F24', 4 UNION ALL
SELECT N'76CDC09F-ADE2-4D0F-9CF4-6D2D5816AC38', 4 UNION ALL
SELECT N'37D8C382-988A-4C1A-8EBF-9B71FB1DC128', 4 UNION ALL
SELECT N'28C44B55-63A1-48DD-ACEF-C25CBC768FDB', 4 UNION ALL
SELECT N'7DAEA7C9-6795-4C2E-8465-A88C7C5D8AD2', 4 UNION ALL
SELECT N'17F62A79-AD6E-4FB2-9984-64BEB49874E5', 4 UNION ALL
SELECT N'B1744EE8-A8A5-40EF-949E-FD8BC0E825DB', 4 UNION ALL
SELECT N'BC1F679F-E939-49B7-8250-12D7AD1A9BD9', 4 UNION ALL
SELECT N'675D3702-09DB-4CBA-8692-38F4490E52D2', 4 UNION ALL
SELECT N'353F9C1D-1546-43D3-8704-6730978F0317', 4 UNION ALL
SELECT N'8F8405E2-D9F6-4FD3-B9E4-00B4CB6914FA', 4
GO

INSERT INTO [LookupValue]([LookupValueId], [LookupCodeId], [CodeValue], [CodeName], [Culture])
SELECT N'2CE5955E-AB5E-48BB-BFE5-024C4BF9086C', N'7D6B289C-4774-49A9-8EBC-C58DF3B1BDC4', N'', N'FOB Monobuoy', N'en-US' UNION ALL
SELECT N'184612C3-BBA5-4924-A626-8145A03BEAD6', N'398E585A-84E7-4E52-8400-21E373122444', N'', N'FOB Port', N'en-US' UNION ALL
SELECT N'ACE5135D-9B16-47F5-9955-D87D21BA382E', N'7E9259B7-09BE-4E1C-BBF3-3E04502FD90F', N'', N'FOB Truck Rack', N'en-US' UNION ALL
SELECT N'7BD9611C-F6E6-4712-AD8C-3888945A850F', N'933B8E73-713A-425B-A964-18AD105B21BB', N'', N'FOB Tanks', N'en-US' UNION ALL
SELECT N'12F3DA2F-2787-4CFD-98D4-23A814FBA656', N'98274B17-6971-4659-BFC5-AE5C75221D87', N'', N'ODL In-Line', N'en-US' UNION ALL
SELECT N'C700B366-852A-4015-BCED-011F9CA5F849', N'A39CB9B1-AD5C-48D9-B6B4-026107B86135', N'', N'OAM In-Line', N'en-US' UNION ALL
SELECT N'170DEE5B-C99E-4570-84FC-CEDC132B6298', N'FF79646C-A579-4AAF-AD46-C05CD857F0C0', N'', N'OBC In-Line', N'en-US' UNION ALL
SELECT N'2A950324-AAB8-4DEA-A69B-F26385FE0587', N'3781E030-4516-48BC-A4C9-DD2414151BDF', N'', N'COVCAR In-Line', N'en-US' UNION ALL
SELECT N'ABBB9FBD-46F5-4541-8D0A-7F49D40EAB1F', N'96341ED4-EEDD-420D-B765-E5FECE17C72F', N'', N'OCENSA In-Line', N'en-US' UNION ALL
SELECT N'27241AC7-9742-4224-AEE9-6FB0F1469521', N'81093446-2607-4331-A875-2E069E2B967B', N'', N'ODC In-Line', N'en-US' UNION ALL
SELECT N'3BB89DAB-8A83-424C-B1DE-7DA10D2D1E2A', N'B4D001B8-8C21-4AE2-A481-EC79D9A73168', N'', N'OTA In-line', N'en-US' UNION ALL
SELECT N'FB22C15C-4F05-4AC0-A981-50166F75F698', N'9BA6187D-85A2-4DF7-848E-0256851F7F24', N'', N'STGELP In-Line', N'en-US' UNION ALL
SELECT N'71CEA48E-001D-48BB-9F63-209420ADAE4B', N'76CDC09F-ADE2-4D0F-9CF4-6D2D5816AC38', N'', N'APYELP In-Line', N'en-US' UNION ALL
SELECT N'4E1DB49B-6FD4-406F-AD3B-0956DE7CC36A', N'37D8C382-988A-4C1A-8EBF-9B71FB1DC128', N'', N'ARAELP In-Line', N'en-US' UNION ALL
SELECT N'EEE357DE-3857-4999-B7EF-01FC408E13BB', N'28C44B55-63A1-48DD-ACEF-C25CBC768FDB', N'', N'CLICOV In-Line', N'en-US' UNION ALL
SELECT N'BD536864-29FA-4743-B73A-7F17AC1662A8', N'7DAEA7C9-6795-4C2E-8465-A88C7C5D8AD2', N'', N'BARCOV In-Line', N'en-US' UNION ALL
SELECT N'C59DB945-DD58-48E9-9608-41F7F8B0C5C5', N'17F62A79-AD6E-4FB2-9984-64BEB49874E5', N'', N'VASBAR iN-Line', N'en-US' UNION ALL
SELECT N'E20273CE-DB3B-4BB9-9DAB-3532756570CE', N'B1744EE8-A8A5-40EF-949E-FD8BC0E825DB', N'', N'VAVBAR In-Line', N'en-US' UNION ALL
SELECT N'C1BFF373-862C-4653-9AAD-72132EA9BB71', N'BC1F679F-E939-49B7-8250-12D7AD1A9BD9', N'', N'AYABAR IN-Line', N'en-US' UNION ALL
SELECT N'31672090-0EC6-4277-86D3-A9C8284A9312', N'675D3702-09DB-4CBA-8692-38F4490E52D2', N'', N'EXW Oil Field', N'en-US' UNION ALL
SELECT N'85818F68-A7A3-4778-AFDA-30C6443CAB55', N'353F9C1D-1546-43D3-8704-6730978F0317', N'', N'DAP Refinery', N'en-US' UNION ALL
SELECT N'976B9277-0E48-4050-8A90-185DAC805904', N'8F8405E2-D9F6-4FD3-B9E4-00B4CB6914FA', N'', N'DAP Tanks', N'en-US'
GO

PRINT 'Delivery Location'
GO

INSERT INTO [LookupCode]([CodeId], [LookupId])
SELECT N'95483E7F-BFFB-4E39-9CB0-F6EA9741DA5B', 5 UNION ALL
SELECT N'D06D04A8-9875-4665-B363-5776B55E1EB0', 5 UNION ALL
SELECT N'3CF17891-5FC8-4851-A496-A71CC1A68B63', 5 UNION ALL
SELECT N'A94452D8-821F-486D-8885-81DBDDC6C29A', 5 UNION ALL
SELECT N'3C32922F-BED4-458B-A0E8-B610AA2C92D0', 5 UNION ALL
SELECT N'218A272A-060E-4DAC-A569-699898AEDB3C', 5 UNION ALL
SELECT N'DD3C1458-8F73-4697-AD09-D92C2AE5AFA7', 5 UNION ALL
SELECT N'30AE78F1-1165-4D7F-884E-17728C2F3F32', 5 UNION ALL
SELECT N'B130490C-1853-48BA-9EC3-714CAB2E5DD0', 5 UNION ALL
SELECT N'10CB1763-3F04-4550-B322-99B5D85C2BA3', 5 UNION ALL
SELECT N'AD1882D2-71EF-4692-9E16-0A8C601380D8', 5 UNION ALL
SELECT N'627CFD0B-24E4-49B4-83E6-F6A35C87B971', 5 UNION ALL
SELECT N'22ABCD68-B6CC-481F-B27D-5AFA52E4C9CA', 5 UNION ALL
SELECT N'B0E937C8-1773-4D35-952F-6728B8F68FEE', 5 UNION ALL
SELECT N'A24CB6F7-F8D2-4621-A39B-FD4CAAB5E20C', 5 UNION ALL
SELECT N'63A06810-4939-430A-B9EA-4D0B3080A26B', 5 UNION ALL
SELECT N'5FB77AC3-7794-4BEA-A95F-2ED5D2FC85EA', 5 UNION ALL
SELECT N'FF9F818A-98DC-40D6-9398-C52BB8D4BECA', 5 UNION ALL
SELECT N'702F2341-490C-459B-837B-BFF04251525F', 5 UNION ALL
SELECT N'FC8775BC-3A8F-4C42-81C6-D809BEAEEEAF', 5 UNION ALL
SELECT N'A8DC0F29-2F21-42D5-B54D-B3CB81C0F213', 5 UNION ALL
SELECT N'23539C07-CF7D-4B05-BAFC-B33D2F7A930C', 5 UNION ALL
SELECT N'525CE090-5E17-437D-B873-933A6141566F', 5 UNION ALL
SELECT N'8703DB23-F584-41BE-8D39-A14C62C9C479', 5 UNION ALL
SELECT N'1FECDAB3-9E79-4F81-9F55-8FED864E2AB3', 5 UNION ALL
SELECT N'31CC38CD-8818-4B69-8F59-EBC9C74593BA', 5 UNION ALL
SELECT N'43920027-7CA2-41FF-994C-E4137FB7E575', 5 UNION ALL
SELECT N'DE528DDC-BB9A-4E1A-B617-F5F4555494F4', 5 UNION ALL
SELECT N'1F9BC413-4D56-4572-A741-4F3D6161D7C5', 5 UNION ALL
SELECT N'92E3E568-4020-4474-A222-82836D1CF33A', 5 UNION ALL
SELECT N'05BAD934-B54F-4817-A527-2D4814F6A2FD', 5 UNION ALL
SELECT N'5C6A5305-F826-4987-A76B-FBE03AC7C798', 5 UNION ALL
SELECT N'D99787FD-F41A-4E4F-9B62-348025833B07', 5 UNION ALL
SELECT N'391AF25A-A2DE-4B28-A335-E5C3B3EB038D', 5 UNION ALL
SELECT N'50F84D90-66B5-4743-B301-BA83E570AF33', 5 UNION ALL
SELECT N'945E8AEC-2A0C-40AB-8C59-024B20663AB9', 5 UNION ALL
SELECT N'B34B793D-61D4-4C95-8DA7-46E7E737EEF7', 5 UNION ALL
SELECT N'799F907B-E726-4245-A33E-54F511B9D145', 5 UNION ALL
SELECT N'94A9F218-3C91-4689-9162-6B9BBDC2C26C', 5 UNION ALL
SELECT N'930F2118-0297-44B0-A827-65E6ED29DD61', 5 UNION ALL
SELECT N'A2E7549A-2AD2-4EE0-AB42-50B055627841', 5 UNION ALL
SELECT N'9BB80B27-7097-4F63-B4E0-D93E8E7C0FD7', 5 UNION ALL
SELECT N'5E5985E6-9F55-4ACF-8A4B-B27D65E91701', 5 UNION ALL
SELECT N'297CCA08-07FE-4EAF-85B2-2AA977810E84', 5 UNION ALL
SELECT N'A247B2F5-A5C2-4437-B647-DF5543A59687', 5 UNION ALL
SELECT N'853C287F-7B3D-47E6-AAF5-286FFFF4CB45', 5 UNION ALL
SELECT N'655EEA88-9043-4277-85BD-68AACEA364F5', 5 UNION ALL
SELECT N'E87D6A8D-348F-4087-BC03-3EEE07D3439C', 5 UNION ALL
SELECT N'DEF9EA60-E86A-4286-A49E-05460276889F', 5 UNION ALL
SELECT N'C5AEC749-6120-4096-A6DB-69F4653E59A4', 5 UNION ALL
SELECT N'FD15C0CC-6F2D-4DB9-9B37-71A5FC3C68B6', 5 UNION ALL
SELECT N'1F014D52-76FF-4D17-A948-BA9756A80FD3', 5 UNION ALL
SELECT N'E9EB167B-9596-488E-A809-8986395533F1', 5 UNION ALL
SELECT N'769D5D25-3B80-4C04-B2DD-E75E4814A583', 5 UNION ALL
SELECT N'B37C11DE-D0AB-4270-88F1-9298448184B4', 5
GO       

INSERT INTO [LookupValue]([LookupValueId], [LookupCodeId], [CodeValue], [CodeName], [Culture])
SELECT N'F0DE454D-DD4E-4500-BBBF-007348FAC8C9', N'95483E7F-BFFB-4E39-9CB0-F6EA9741DA5B', N'', N'ALISALES', N'en-US' UNION ALL
SELECT N'FFD002D4-CB10-48FB-981D-60BCEEF17009', N'D06D04A8-9875-4665-B363-5776B55E1EB0', N'', N'APIAY', N'en-US' UNION ALL
SELECT N'1E247BAE-4F26-4EEE-A51C-27BA48892C73', N'3CF17891-5FC8-4851-A496-A71CC1A68B63', N'', N'ARAGUANEY', N'en-US' UNION ALL
SELECT N'11EF1F25-B00E-49D8-A93D-84FAB497ACCA', N'A94452D8-821F-486D-8885-81DBDDC6C29A', N'', N'ARAUCA', N'en-US' UNION ALL
SELECT N'ED8E81D5-D2AD-4CBF-A8F7-2671E3AF52D2', N'3C32922F-BED4-458B-A0E8-B610AA2C92D0', N'', N'AYACUCHO', N'en-US' UNION ALL
SELECT N'AE07A131-C6BD-4389-847A-41CEAAB9459E', N'218A272A-060E-4DAC-A569-699898AEDB3C', N'', N'BARANOA', N'en-US' UNION ALL
SELECT N'7E743B9D-BD39-4522-937F-7D4F41F14297', N'DD3C1458-8F73-4697-AD09-D92C2AE5AFA7', N'', N'BARRANCABERMEJA', N'en-US' UNION ALL
SELECT N'98AB35C4-C178-47FA-9A46-C7614B8772ED', N'30AE78F1-1165-4D7F-884E-17728C2F3F32', N'', N'BARRANQUILLA', N'en-US' UNION ALL
SELECT N'EBD51DBC-D65F-44CF-AB11-7E1CCB590177', N'B130490C-1853-48BA-9EC3-714CAB2E5DD0', N'', N'CANO LIMON', N'en-US' UNION ALL
SELECT N'10F7BD3C-614D-4FDA-8CCE-BBF3B5F33EB6', N'10CB1763-3F04-4550-B322-99B5D85C2BA3', N'', N'CARTAGENA', N'en-US' UNION ALL
SELECT N'4373814B-76A4-4DE2-9BB2-0EAD4F31A98D', N'AD1882D2-71EF-4692-9E16-0A8C601380D8', N'', N'CASTILLA', N'en-US' UNION ALL
SELECT N'FBDFBD47-BB01-4973-BADF-974D572D6820', N'627CFD0B-24E4-49B4-83E6-F6A35C87B971', N'', N'CAUCASIA', N'en-US' UNION ALL
SELECT N'6B636996-B3E5-46E6-ABF1-68C492847039', N'22ABCD68-B6CC-481F-B27D-5AFA52E4C9CA', N'', N'CHICHIMENE', N'en-US' UNION ALL
SELECT N'F250674E-0C9A-4B6B-9775-A26413D774DD', N'B0E937C8-1773-4D35-952F-6728B8F68FEE', N'', N'CHURUYACO', N'en-US' UNION ALL
SELECT N'62A0FF36-AE78-45A5-ABA4-944816719B72', N'A24CB6F7-F8D2-4621-A39B-FD4CAAB5E20C', N'', N'COVENAS', N'en-US' UNION ALL
SELECT N'C40BD7DC-E3AB-4D09-ACBE-0E12DE759CAF', N'63A06810-4939-430A-B9EA-4D0B3080A26B', N'', N'CUPIAGUA', N'en-US' UNION ALL
SELECT N'F1D14A7B-C298-44BA-BB8B-A4BB9B1AE63A', N'5FB77AC3-7794-4BEA-A95F-2ED5D2FC85EA', N'', N'DINA', N'en-US' UNION ALL
SELECT N'42B4D9D3-FFA1-4C73-8160-3F08E5C459E5', N'FF9F818A-98DC-40D6-9398-C52BB8D4BECA', N'', N'EL PORVENIR', N'en-US' UNION ALL
SELECT N'2F63E3CD-070A-4014-83C5-7DC1489BF31D', N'702F2341-490C-459B-837B-BFF04251525F', N'', N'EL RETIRO', N'en-US' UNION ALL
SELECT N'4765930B-397E-4A3B-A642-FC3C7C67F7E8', N'FC8775BC-3A8F-4C42-81C6-D809BEAEEEAF', N'', N'GUADUAS', N'en-US' UNION ALL
SELECT N'19DAE9E1-DF98-4DEB-AF5B-3A93CD999DD7', N'A8DC0F29-2F21-42D5-B54D-B3CB81C0F213', N'', N'GUALANDAY', N'en-US' UNION ALL
SELECT N'963B60B2-2B2A-4A7F-AE84-A779F6D4E5D5', N'23539C07-CF7D-4B05-BAFC-B33D2F7A930C', N'', N'GUAMEZ', N'en-US' UNION ALL
SELECT N'75837083-402E-4D90-AEDA-0D7079CF65C6', N'525CE090-5E17-437D-B873-933A6141566F', N'', N'GUANDO', N'en-US' UNION ALL
SELECT N'64C16027-0CB4-4A9E-AEBC-C157A46B87F5', N'8703DB23-F584-41BE-8D39-A14C62C9C479', N'', N'LA DORADA', N'en-US' UNION ALL
SELECT N'06403B2E-60AC-4A66-BB64-74429AE8C7A1', N'1FECDAB3-9E79-4F81-9F55-8FED864E2AB3', N'', N'MANSILLA', N'en-US' UNION ALL
SELECT N'28C76F99-B175-416F-A961-4225DA561C0B', N'31CC38CD-8818-4B69-8F59-EBC9C74593BA', N'', N'MANSOYA', N'en-US' UNION ALL
SELECT N'1122C423-4E42-49D3-8032-3ADD2BB34ECA', N'43920027-7CA2-41FF-994C-E4137FB7E575', N'', N'META', N'en-US' UNION ALL
SELECT N'4BC27946-9438-436F-8F96-1A709F4ECB02', N'DE528DDC-BB9A-4E1A-B617-F5F4555494F4', N'', N'MONTERREY', N'en-US' UNION ALL
SELECT N'C8ABC412-1D77-4570-910C-F9E345F20C17', N'1F9BC413-4D56-4572-A741-4F3D6161D7C5', N'', N'ORITO', N'en-US' UNION ALL
SELECT N'284A8014-3C3F-4EE1-AFCE-664428271388', N'92E3E568-4020-4474-A222-82836D1CF33A', N'', N'ORITO', N'en-US' UNION ALL
SELECT N'0EBBC827-8189-4EE4-A389-F2B161D4195B', N'05BAD934-B54F-4817-A527-2D4814F6A2FD', N'', N'ORU', N'en-US' UNION ALL
SELECT N'DE9F5868-E9B7-42B4-B4FE-3BAF095258DA', N'5C6A5305-F826-4987-A76B-FBE03AC7C798', N'', N'PAYBA', N'en-US' UNION ALL
SELECT N'9CC3FD3E-33E1-4CD5-868F-E69D5A8162B9', N'D99787FD-F41A-4E4F-9B62-348025833B07', N'', N'PORVENIR', N'en-US' UNION ALL
SELECT N'69ABF799-5BCF-4527-ACD1-EF67D176D9B4', N'391AF25A-A2DE-4B28-A335-E5C3B3EB038D', N'', N'POZOS COLORADOS', N'en-US' UNION ALL
SELECT N'7B3F3DEB-3ADD-48D4-B412-5F47D907A7EE', N'50F84D90-66B5-4743-B301-BA83E570AF33', N'', N'PTO.BAHIA', N'en-US' UNION ALL
SELECT N'FA46BD0F-4823-482D-BA4A-65FCE9AE84A0', N'945E8AEC-2A0C-40AB-8C59-024B20663AB9', N'', N'PTO.SALGAR', N'en-US' UNION ALL
SELECT N'2F4D2F30-7D54-453A-9C44-2B5C68CDF637', N'B34B793D-61D4-4C95-8DA7-46E7E737EEF7', N'', N'PURIFICACION', N'en-US' UNION ALL
SELECT N'7D46FBD2-8223-4A8B-9BE8-328DC674A376', N'799F907B-E726-4245-A33E-54F511B9D145', N'', N'REFICAR', N'en-US' UNION ALL
SELECT N'30657E4C-D10F-422E-9D28-EA6E223096E1', N'94A9F218-3C91-4689-9162-6B9BBDC2C26C', N'', N'RIO ZULIA', N'en-US' UNION ALL
SELECT N'2BDCE556-EFC3-4FFB-97FB-753A2656E2CF', N'930F2118-0297-44B0-A827-65E6ED29DD61', N'', N'RUBIALES', N'en-US' UNION ALL
SELECT N'014707F7-EA01-4789-B70A-20CBB29B05B0', N'A2E7549A-2AD2-4EE0-AB42-50B055627841', N'', N'SALDANA', N'en-US' UNION ALL
SELECT N'0A36A41C-38BB-419B-B8D0-C82F46A09509', N'9BB80B27-7097-4F63-B4E0-D93E8E7C0FD7', N'', N'SAN MIGUEL', N'en-US' UNION ALL
SELECT N'C9EA3E0F-5E85-41A2-B41F-DB127F851148', N'5E5985E6-9F55-4ACF-8A4B-B27D65E91701', N'', N'SANTA MARTA', N'en-US' UNION ALL
SELECT N'7020459A-7DA7-4CB7-AF75-AC5282511EE1', N'297CCA08-07FE-4EAF-85B2-2AA977810E84', N'', N'SANTIAGO', N'en-US' UNION ALL
SELECT N'CC4C8377-2B48-42C7-8F4B-6AE3881E7720', N'A247B2F5-A5C2-4437-B647-DF5543A59687', N'', N'SEBSTOPOL', N'en-US' UNION ALL
SELECT N'C321ACF1-AE85-4667-9611-E8B7D5A0C4EC', N'853C287F-7B3D-47E6-AAF5-286FFFF4CB45', N'', N'TELO', N'en-US' UNION ALL
SELECT N'882F60CE-3A3D-4E26-8317-661E1B4C89BE', N'655EEA88-9043-4277-85BD-68AACEA364F5', N'', N'TENAY', N'en-US' UNION ALL
SELECT N'E43FC267-79CC-483D-AFC4-EB2415B0411C', N'E87D6A8D-348F-4087-BC03-3EEE07D3439C', N'', N'TIBU', N'en-US' UNION ALL
SELECT N'738EFF6E-627E-4D86-8BFF-0F4C36E92ED5', N'DEF9EA60-E86A-4286-A49E-05460276889F', N'', N'TNP', N'en-US' UNION ALL
SELECT N'E934936D-8B6B-4B38-98C6-C7A1FB0C3644', N'C5AEC749-6120-4096-A6DB-69F4653E59A4', N'', N'TOLDADO', N'en-US' UNION ALL
SELECT N'84F2E330-43CB-4CB9-BFE8-9EA0EDE26D98', N'FD15C0CC-6F2D-4DB9-9B37-71A5FC3C68B6', N'', N'TUMACO', N'en-US' UNION ALL
SELECT N'94D44D8B-5600-41C0-9D91-0AEB1E555490', N'1F014D52-76FF-4D17-A948-BA9756A80FD3', N'', N'V26', N'en-US' UNION ALL
SELECT N'72DCEE21-D673-40A0-A7FF-6A21F4A82FC0', N'E9EB167B-9596-488E-A809-8986395533F1', N'', N'VASCONIA', N'en-US' UNION ALL
SELECT N'6E58AE10-A2BA-43D8-8C8E-BB46D847FCD2', N'769D5D25-3B80-4C04-B2DD-E75E4814A583', N'', N'YAGUARA', N'en-US' UNION ALL
SELECT N'EF5FF543-2C31-4E96-B25C-8BDE17ED73CF', N'B37C11DE-D0AB-4270-88F1-9298448184B4', N'', N'YOPAL', N'en-US'
GO

PRINT 'Inspection Split'
GO       
         
INSERT INTO [LookupCode]([CodeId], [LookupId])
SELECT N'DF5A2F64-7ACB-447C-84C3-38F5BA25ACC1', 7 UNION ALL
SELECT N'548B0A15-7D1A-4934-B787-EF23025EE840', 7 UNION ALL
SELECT N'613B71F7-8655-4B63-A0B6-777AFC1ECD00', 7
GO

INSERT INTO [LookupValue]([LookupValueId], [LookupCodeId], [CodeValue], [CodeName], [Culture])
SELECT N'5F0EA604-7439-4BAD-AF42-5DC40411D9B5', N'DF5A2F64-7ACB-447C-84C3-38F5BA25ACC1', N'', N'50/50', N'en-US' UNION ALL
SELECT N'C98AB9AD-B3F5-4308-91BD-AB085C213903', N'548B0A15-7D1A-4934-B787-EF23025EE840', N'', N'BUYER', N'en-US' UNION ALL
SELECT N'097FAC78-27E2-4561-A0A3-2DAEC0E451D6', N'613B71F7-8655-4B63-A0B6-777AFC1ECD00', N'', N'SELLER', N'en-US'
GO

PRINT 'Demurrage'
GO       
         
INSERT INTO [LookupCode]([CodeId], [LookupId])
SELECT N'3944E0FF-6B0C-4478-AA6D-37BF39727A75', 8 UNION ALL
SELECT N'064E398C-BC68-4FD4-9700-9654A21F8541', 8 UNION ALL
SELECT N'D19C55A1-CB83-4DBD-8D65-161423A51C47', 8 UNION ALL
SELECT N'309551EC-2F13-4989-8E5E-924F110DE99D', 8 UNION ALL
SELECT N'172C7F4C-BDCB-49D9-9364-8D1266436B19', 8 UNION ALL
SELECT N'0B93A436-7576-4036-9A0A-C19DF448AF76', 8 UNION ALL
SELECT N'B2471F2A-F93A-409B-A56A-C5E5E2FDEBE5', 8
GO

INSERT INTO [LookupValue]([LookupValueId], [LookupCodeId], [CodeValue], [CodeName], [Culture])
SELECT N'1DC53DF9-D1DB-4116-AB04-E247DC4A8BB1', N'3944E0FF-6B0C-4478-AA6D-37BF39727A75', N'', N'BUYER ACCT', N'en-US' UNION ALL
SELECT N'AA80FC36-14A8-4C2A-8AE2-0044CE857B9C', N'064E398C-BC68-4FD4-9700-9654A21F8541', N'', N'SELLR ACCT', N'en-US' UNION ALL
SELECT N'EF2C9365-4D95-4BF1-BFB8-25A6C82BCC80', N'D19C55A1-CB83-4DBD-8D65-161423A51C47', N'', N'50/50', N'en-US' UNION ALL
SELECT N'6ED17E68-C5C4-45B7-AA3A-D2DE982851E2', N'309551EC-2F13-4989-8E5E-924F110DE99D', N'', N'36+6 SHINC', N'en-US' UNION ALL
SELECT N'6D17BB21-59BF-4CC1-8CCF-FFE16BD42CB6', N'172C7F4C-BDCB-49D9-9364-8D1266436B19', N'', N'24+6 SHINC', N'en-US' UNION ALL
SELECT N'38171F08-7697-44ED-8733-5B79012906FA', N'0B93A436-7576-4036-9A0A-C19DF448AF76', N'', N'CPP', N'en-US' UNION ALL
SELECT N'ACD14774-3A22-41E4-BE95-3CF20D55C453', N'B2471F2A-F93A-409B-A56A-C5E5E2FDEBE5', N'', N'OTHER', N'en-US'
GO

PRINT 'Incoterms 2010'
GO       
         
INSERT INTO [LookupCode]([CodeId], [LookupId])
SELECT N'F100AEF3-E791-4468-B1AA-A9894E194943', 9 UNION ALL
SELECT N'B2243153-995B-49D4-98BB-D2B54219D03E', 9 UNION ALL
SELECT N'C914F6BE-CA31-4582-A9C3-74A6DADE904C', 9 UNION ALL
SELECT N'35C1D65C-B6B3-4456-9B1C-0F5C6447B4D7', 9 UNION ALL
SELECT N'D98F7078-B6F7-4C1F-B817-3FBB79CAEDAB', 9 UNION ALL
SELECT N'A53B1811-AA57-460C-BFFA-09FADADCFBB3', 9 UNION ALL
SELECT N'D3154DA8-6D4B-4ADE-8B23-D27D09F8C770', 9 UNION ALL
SELECT N'9C03F559-6EAF-405F-8BF4-F6B37D1E9ED5', 9 UNION ALL
SELECT N'74918518-FBA6-4C0D-8E81-06F036AF3052', 9 UNION ALL
SELECT N'143B4603-B85B-44AD-B109-929CF8DB7BE8', 9 UNION ALL
SELECT N'6A7AE0DC-9F30-4607-BEFB-0359C121778A', 9
GO

INSERT INTO [LookupValue]([LookupValueId], [LookupCodeId], [CodeValue], [CodeName], [Culture])
SELECT N'9901AFE0-75C5-4E4D-BE44-6E3BAA44A07C', N'F100AEF3-E791-4468-B1AA-A9894E194943', N'', N'EXW', N'en-US' UNION ALL
SELECT N'0A7A07E0-1416-4F1B-9582-F5DE41123A52', N'B2243153-995B-49D4-98BB-D2B54219D03E', N'', N'FCA', N'en-US' UNION ALL
SELECT N'68259502-A41B-4717-927C-7F3DACE900E6', N'C914F6BE-CA31-4582-A9C3-74A6DADE904C', N'', N'FAS', N'en-US' UNION ALL
SELECT N'9424F54B-8D9E-4920-8972-6E240BC45365', N'35C1D65C-B6B3-4456-9B1C-0F5C6447B4D7', N'', N'FOB', N'en-US' UNION ALL
SELECT N'6414A8A8-E50E-48E7-8627-3CB3D86B7057', N'D98F7078-B6F7-4C1F-B817-3FBB79CAEDAB', N'', N'CFR', N'en-US' UNION ALL
SELECT N'6D16781C-FF30-4102-9206-9F128A494865', N'A53B1811-AA57-460C-BFFA-09FADADCFBB3', N'', N'CIF', N'en-US' UNION ALL
SELECT N'B0BBD7E3-2DDB-488F-A8ED-F618545B2D12', N'D3154DA8-6D4B-4ADE-8B23-D27D09F8C770', N'', N'DAT', N'en-US' UNION ALL
SELECT N'E834DE42-62E5-4FAC-B56C-D3C3D4C3EC68', N'9C03F559-6EAF-405F-8BF4-F6B37D1E9ED5', N'', N'DAP', N'en-US' UNION ALL
SELECT N'B52D820A-3F95-4D94-B6ED-D52637ACFE5A', N'74918518-FBA6-4C0D-8E81-06F036AF3052', N'', N'CPT', N'en-US' UNION ALL
SELECT N'8719D30B-5C62-4FA7-8AAB-2377E9536EF1', N'143B4603-B85B-44AD-B109-929CF8DB7BE8', N'', N'CIP', N'en-US' UNION ALL
SELECT N'C601B05F-43FF-452F-A585-5CC2162D03C2', N'6A7AE0DC-9F30-4607-BEFB-0359C121778A', N'', N'DDP', N'en-US'
GO
 
PRINT 'Arbitration'
GO       
         
INSERT INTO [LookupCode]([CodeId], [LookupId])
SELECT N'9019A8C3-7E1E-47CA-B38A-3C8EA4E711E9', 12 UNION ALL
SELECT N'F5466662-F1FB-46E2-99C5-C22FCBF1BB02', 12 UNION ALL
SELECT N'89C128E5-6DB4-4C11-AA42-3440E0B39D4D', 12 UNION ALL
SELECT N'273E221A-3525-450F-A176-61DC39187BB3', 12 UNION ALL
SELECT N'B48BC4C0-AF07-4281-9C75-1EC26A2D7326', 12 UNION ALL
SELECT N'1ED43DDE-1061-4472-B43A-D69FBCE1501F', 12
GO

INSERT INTO [LookupValue]([LookupValueId], [LookupCodeId], [CodeValue], [CodeName], [Culture])
SELECT N'85A73CF4-EDB1-4BF0-B80B-AEFB5767771C', N'9019A8C3-7E1E-47CA-B38A-3C8EA4E711E9', N'', N'NY', N'en-US' UNION ALL
SELECT N'35158994-A0EB-4074-A0A6-9C4B424D0482', N'F5466662-F1FB-46E2-99C5-C22FCBF1BB02', N'', N'TX', N'en-US' UNION ALL
SELECT N'F54F7409-9F8A-4B4E-9BBB-5AA48E400E59', N'89C128E5-6DB4-4C11-AA42-3440E0B39D4D', N'', N'LONDON', N'en-US' UNION ALL
SELECT N'A335AAF3-33C3-4E94-BD54-E73157D4E517', N'273E221A-3525-450F-A176-61DC39187BB3', N'', N'COLOMBIA', N'en-US' UNION ALL
SELECT N'B02943A4-85AD-422C-930C-88810976ABD6', N'B48BC4C0-AF07-4281-9C75-1EC26A2D7326', N'', N'NONE', N'en-US' UNION ALL
SELECT N'0BDC5DD0-8C60-4824-88E9-B160BD5A74A5', N'1ED43DDE-1061-4472-B43A-D69FBCE1501F', N'', N'OTHER', N'en-US'
GO

PRINT 'Clearing'
GO       
         
INSERT INTO [LookupCode]([CodeId], [LookupId])
SELECT N'CBDCC706-0216-4C5B-92C3-2B6677133E4B', 13 UNION ALL
SELECT N'75DD0EE9-9D78-49D6-BFFB-A79BFC031C7A', 13 UNION ALL
SELECT N'ABBE748F-87BB-4751-926F-53EE77C68A8A', 13 UNION ALL
SELECT N'C50357E0-131B-4AA7-ACDB-46EB221C4388', 13 UNION ALL
SELECT N'756FCA51-3B27-4AF8-B8EB-D80353C37008', 13
GO

INSERT INTO [LookupValue]([LookupValueId], [LookupCodeId], [CodeValue], [CodeName], [Culture])
SELECT N'F991E17A-2C34-4EB4-B5FE-3EBA1C744148', N'CBDCC706-0216-4C5B-92C3-2B6677133E4B', N'NYMEX', N'NYMEX', N'en-US' UNION ALL
SELECT N'89009DE5-FFFA-4646-99F2-6CD15515FF17', N'75DD0EE9-9D78-49D6-BFFB-A79BFC031C7A', N'NGX', N'NGX', N'en-US' UNION ALL
SELECT N'C3623DAC-31CB-450F-9D4F-2B168F60737E', N'ABBE748F-87BB-4751-926F-53EE77C68A8A', N'CME', N'CME', N'en-US' UNION ALL
SELECT N'C041F39D-D779-4B94-831A-AE74BC95274C', N'C50357E0-131B-4AA7-ACDB-46EB221C4388', N'LOCAL', N'LOCAL', N'en-US' UNION ALL
SELECT N'28A342F4-F09C-424F-803F-4D3538741B4A', N'756FCA51-3B27-4AF8-B8EB-D80353C37008', N'NONE', N'NONE', N'en-US'
GO

PRINT 'Valute'
GO       
         
INSERT INTO [LookupCode]([CodeId], [LookupId])
SELECT N'2026C4D1-CB79-4D24-AB33-27496B63FAAE', 14 UNION ALL
SELECT N'0069F90A-F0C9-4529-B7D7-2606368CDFF6', 14 UNION ALL
SELECT N'DF6DF629-F55A-492E-9C1E-CF822A93A653', 14 UNION ALL
SELECT N'10FDB003-59B6-4DAA-A1F8-02EC8F1D99FE', 14 UNION ALL
SELECT N'61BD659F-F7EA-430D-85B2-EE3E0C161FB4', 14 UNION ALL
SELECT N'73E9EEC5-225E-488F-9C96-5D88538AC1AB', 14
GO

INSERT INTO [LookupValue]([LookupValueId], [LookupCodeId], [CodeValue], [CodeName], [Culture])
SELECT N'B2457184-7651-408D-8504-A787EA7BFBC1', N'2026C4D1-CB79-4D24-AB33-27496B63FAAE', N'USD', N'USD', N'en-US' UNION ALL
SELECT N'AFF1E289-F4F2-4A99-935D-7D8600DAC775', N'0069F90A-F0C9-4529-B7D7-2606368CDFF6', N'COP', N'COP', N'en-US' UNION ALL
SELECT N'2C5FD530-8C60-42EF-9145-59B62F7C72F7', N'DF6DF629-F55A-492E-9C1E-CF822A93A653', N'GBP', N'GBP', N'en-US' UNION ALL
SELECT N'D37B7DE6-D09D-438F-B921-A98499E22E29', N'10FDB003-59B6-4DAA-A1F8-02EC8F1D99FE', N'EUR', N'EUR', N'en-US' UNION ALL
SELECT N'E1FFE03E-3B43-439C-887E-178943D69B7B', N'61BD659F-F7EA-430D-85B2-EE3E0C161FB4', N'CAD', N'CAD', N'en-US' UNION ALL
SELECT N'BA745E8F-6829-4EF7-BF63-2AEAADAE91A6', N'73E9EEC5-225E-488F-9C96-5D88538AC1AB', N'OTHER', N'OTHER', N'en-US'
GO

PRINT 'Law'
GO       
         
INSERT INTO [LookupCode]([CodeId], [LookupId])
SELECT N'27A234A3-70D6-4C16-9F04-22CDFEF88028', 15 UNION ALL
SELECT N'2DBDF980-F078-49E7-974B-B922F8F3A311', 15 UNION ALL
SELECT N'D6CEB97B-F83B-4CCB-9A6C-8C4C728A538A', 15 UNION ALL
SELECT N'44533FA7-8F6D-499E-9831-68F592708FF1', 15 UNION ALL
SELECT N'58114191-A829-4D83-974A-DD1A730777B8', 15
GO

INSERT INTO [LookupValue]([LookupValueId], [LookupCodeId], [CodeValue], [CodeName], [Culture])
SELECT N'C6CF3220-ACA8-48BF-9D67-81C2CD822422', N'27A234A3-70D6-4C16-9F04-22CDFEF88028', N'', N'NY', N'en-US' UNION ALL
SELECT N'D8BD4942-0A06-465E-AF6F-AFA16561925B', N'2DBDF980-F078-49E7-974B-B922F8F3A311', N'', N'TX', N'en-US' UNION ALL
SELECT N'F853E310-8E70-4ECF-BAAA-C36D5B854175', N'D6CEB97B-F83B-4CCB-9A6C-8C4C728A538A', N'', N'ENGLAND', N'en-US' UNION ALL
SELECT N'5E2EAC65-44D9-4D4C-AA18-267EF789E37B', N'44533FA7-8F6D-499E-9831-68F592708FF1', N'', N'COLOMBIA', N'en-US' UNION ALL
SELECT N'0E2E9D69-C9C2-4B84-AB9B-1488642D10FA', N'58114191-A829-4D83-974A-DD1A730777B8', N'', N'OTHER', N'en-US'
GO

PRINT 'Terms & Conditions'
GO       
         
INSERT INTO [LookupCode]([CodeId], [LookupId])
SELECT N'B95999C3-95A7-406D-AD30-DCACFA51BFB8', 16 UNION ALL
SELECT N'A22F457C-CCB6-47DE-A139-ACF62AD08097', 16 UNION ALL
SELECT N'69E1DB1E-348D-4D3B-98A9-641FC67413D6', 16 UNION ALL
SELECT N'9F40D315-76A6-4627-9C3F-286A863D355E', 16 UNION ALL
SELECT N'08CC04F7-9651-4AFF-908F-10AF53FE0126', 16 UNION ALL
SELECT N'B20A8DD4-B717-4C8A-86CC-13DE8AE0FBE9', 16 UNION ALL
SELECT N'0B311171-CFF2-4499-A0F5-357E5DA2F231', 16 UNION ALL
SELECT N'AC432338-7FAD-4C75-89CD-93817A357309', 16
GO

INSERT INTO [LookupValue]([LookupValueId], [LookupCodeId], [CodeValue], [CodeName], [Culture])
SELECT N'2908428A-499E-4DAF-BD0A-E97411663584', N'B95999C3-95A7-406D-AD30-DCACFA51BFB8', N'', N'Exxon', N'en-US' UNION ALL
SELECT N'36DC111B-C0E2-48F3-87E4-81D5EACC0C39', N'A22F457C-CCB6-47DE-A139-ACF62AD08097', N'', N'Conoco/93', N'en-US' UNION ALL
SELECT N'680335F4-8B0A-4A30-BC53-176403165D2C', N'69E1DB1E-348D-4D3B-98A9-641FC67413D6', N'', N'Pacific', N'en-US' UNION ALL
SELECT N'1A75C363-6A43-4870-B7DD-779AC99270B5', N'9F40D315-76A6-4627-9C3F-286A863D355E', N'', N'Rubiales 2011', N'en-US' UNION ALL
SELECT N'3661875F-B03B-4FCF-ABD1-CE7171F9D0B0', N'08CC04F7-9651-4AFF-908F-10AF53FE0126', N'', N'Shell Voy06', N'en-US' UNION ALL
SELECT N'292C028F-C69D-4A18-B539-BAC7F4061C0B', N'B20A8DD4-B717-4C8A-86CC-13DE8AE0FBE9', N'', N'Ecopetrol 2011', N'en-US' UNION ALL
SELECT N'A64C5CC5-8A3A-4417-A256-8DC201C706C2', N'0B311171-CFF2-4499-A0F5-357E5DA2F231', N'', N'BP/2005', N'en-US' UNION ALL
SELECT N'C3EA13D6-B05D-4262-B9C3-365F2D8634C9', N'AC432338-7FAD-4C75-89CD-93817A357309', N'', N'OTHER', N'en-US'
GO

PRINT 'Unit Measure'                                                                                        
GO                                                                                                         

INSERT INTO [LookupCode]([CodeId], [LookupId])
SELECT N'48BECD24-45C4-4BD0-A695-7DF16A3796A7', 18 UNION ALL                                 
SELECT N'47EB94AC-4827-46B5-8D36-CE93A7B57554', 18
GO                                

INSERT INTO [LookupValue]([LookupValueId], [LookupCodeId], [CodeValue], [CodeName], [Culture])
SELECT N'B0845988-517A-4BDF-B908-8FCD477DCF71', N'48BECD24-45C4-4BD0-A695-7DF16A3796A7', N'', N'US GALLONS', N'en-US' UNION ALL
SELECT N'63B55A48-2BAA-4144-8503-7388395DE6B9', N'47EB94AC-4827-46B5-8D36-CE93A7B57554', N'', N'US BARRELS', N'en-US'
GO                 

PRINT 'Delivery Mode'                                                                                        
GO                                                                                                         

INSERT INTO [LookupCode]([CodeId], [LookupId])
SELECT N'F4055667-8749-41CE-9F1F-35030F203DFA', 19 UNION ALL                                 
SELECT N'E765800F-0154-408B-804C-8C92706CB0C5', 19
GO                                

INSERT INTO [LookupValue]([LookupValueId], [LookupCodeId], [CodeValue], [CodeName], [Culture])
SELECT N'57F4C077-D77A-405F-8017-E34D32EA14BB', N'F4055667-8749-41CE-9F1F-35030F203DFA', N'', N'Pipeline', N'en-US' UNION ALL
SELECT N'CC052B24-BF24-4F16-8E89-59832FAC8D23', N'E765800F-0154-408B-804C-8C92706CB0C5', N'', N'Terminal', N'en-US'
GO                 

PRINT 'Tax'                                                                                        
GO                                                                                                         

INSERT INTO [LookupCode]([CodeId], [LookupId])
SELECT N'1220100B-716D-47E1-93AF-AAF22FF955A4', 20 UNION ALL                                 
SELECT N'3FC390FF-ADE8-4B61-893B-6D840605A7F9', 20
GO                                

INSERT INTO [LookupValue]([LookupValueId], [LookupCodeId], [CodeValue], [CodeName], [Culture])
SELECT N'F07A09D8-0F47-4708-A164-CD963C4C8AB4', N'1220100B-716D-47E1-93AF-AAF22FF955A4', N'', N'Foreign', N'en-US' UNION ALL
SELECT N'E58E0176-6C45-4F9F-AB93-66005A93D739', N'3FC390FF-ADE8-4B61-893B-6D840605A7F9', N'', N'Local', N'en-US'
GO                                                                         

PRINT 'State Codes'
GO

DELETE FROM dbo.[StateCode]
GO

INSERT INTO dbo.StateCode([Id],[Name])
SELECT N'AK', N'Alaska' UNION ALL
SELECT N'AL', N'Alabama' UNION ALL
SELECT N'AR', N'Arkansas' UNION ALL
SELECT N'AZ', N'Arizona' UNION ALL
SELECT N'CA', N'California' UNION ALL
SELECT N'CO', N'Colorado' UNION ALL
SELECT N'CT', N'Connecticut' UNION ALL
SELECT N'DC', N'District of Columbia' UNION ALL
SELECT N'DE', N'Delaware' UNION ALL
SELECT N'FL', N'Florida' UNION ALL
SELECT N'GA', N'Georgia' UNION ALL
SELECT N'HI', N'Hawaii' UNION ALL
SELECT N'IA', N'Iowa' UNION ALL
SELECT N'ID', N'Idaho' UNION ALL
SELECT N'IL', N'Illinois' UNION ALL
SELECT N'IN', N'Indiana' UNION ALL
SELECT N'KS', N'Kansas' UNION ALL
SELECT N'KY', N'Kentucky' UNION ALL
SELECT N'LA', N'Louisiana' UNION ALL
SELECT N'MA', N'Massachusetts' UNION ALL
SELECT N'MD', N'Maryland' UNION ALL
SELECT N'ME', N'Maine' UNION ALL
SELECT N'MI', N'Michigan' UNION ALL
SELECT N'MN', N'Minnesota' UNION ALL
SELECT N'MO', N'Missouri' UNION ALL
SELECT N'MS', N'Mississippi' UNION ALL
SELECT N'MT', N'Montana' UNION ALL
SELECT N'NC', N'North Carolina' UNION ALL
SELECT N'ND', N'North Dakota' UNION ALL
SELECT N'NE', N'Nebraska' UNION ALL
SELECT N'NH', N'New Hampshire' UNION ALL
SELECT N'NJ', N'New Jersey' UNION ALL
SELECT N'NM', N'New Mexico' UNION ALL
SELECT N'NV', N'Nevada' UNION ALL
SELECT N'NY', N'New York' UNION ALL
SELECT N'OH', N'Ohio' UNION ALL
SELECT N'OK', N'Oklahoma' UNION ALL
SELECT N'OR', N'Oregon' UNION ALL
SELECT N'PA', N'Pennsylvania' UNION ALL
SELECT N'RI', N'Rhode Island' UNION ALL
SELECT N'SC', N'South Carolina' UNION ALL
SELECT N'SD', N'South Dakota' UNION ALL
SELECT N'TN', N'Tennessee' UNION ALL
SELECT N'TX', N'Texas' UNION ALL
SELECT N'UT', N'Utah' UNION ALL
SELECT N'VA', N'Virginia' UNION ALL
SELECT N'VT', N'Vermont' UNION ALL
SELECT N'WA', N'Washington' UNION ALL
SELECT N'WI', N'Wisconsin' UNION ALL
SELECT N'WV', N'West Virginia' UNION ALL
SELECT N'WY', N'Wyoming'
GO